<?php

use Illuminate\Database\Seeder;

class CountriesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        \DB::table('countries')->delete(null);
        \DB::statement('ALTER TABLE countries AUTO_INCREMENT = 1');

        \DB::table('countries')->insert(
            array (
                0 => array (
                    'id' => 1,
                    'name' => 'Aruba',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AW',
                    'iso_alpha3' => 'AB',
                    'iso_numeric' => 0,
                    'currency_code' => 'AWG',
                    'currency_name' => 'Guilder',
                    'currency_symbol' => 'ƒ',
                    'flag' => 'aw.png',
                ),
                1 => array (
                    'id' => 2,
                    'name' => 'Afghanistan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AF',
                    'iso_alpha3' => 'AF',
                    'iso_numeric' => 0,
                    'currency_code' => 'AFN',
                    'currency_name' => 'Afghani',
                    'currency_symbol' => '؋',
                    'flag' => 'af.png',
                ),
                2 => array (
                    'id' => 3,
                    'name' => 'Angola',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AO',
                    'iso_alpha3' => 'AG',
                    'iso_numeric' => 0,
                    'currency_code' => 'AOA',
                    'currency_name' => 'Kwanza',
                    'currency_symbol' => 'Kz',
                    'flag' => 'ao.png',
                ),
                3 => array (
                    'id' => 4,
                    'name' => 'Anguilla',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AI',
                    'iso_alpha3' => 'AI',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ai.png',
                ),
                4 => array (
                    'id' => 5,
                    'name' => 'Albania',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AL',
                    'iso_alpha3' => 'AL',
                    'iso_numeric' => 0,
                    'currency_code' => 'ALL',
                    'currency_name' => 'Lek',
                    'currency_symbol' => 'Lek',
                    'flag' => 'al.png',
                ),
                5 => array (
                    'id' => 6,
                    'name' => 'Andorra',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AD',
                    'iso_alpha3' => 'AN',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'ad.png',
                ),
                6 => array (
                    'id' => 7,
                    'name' => 'Netherlands Antilles',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AN',
                    'iso_alpha3' => 'AN',
                    'iso_numeric' => 0,
                    'currency_code' => 'ANG',
                    'currency_name' => 'Guilder',
                    'currency_symbol' => 'ƒ',
                    'flag' => 'an.png',
                ),
                7 => array (
                    'id' => 8,
                    'name' => 'United Arab Emirates',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AE',
                    'iso_alpha3' => 'AR',
                    'iso_numeric' => 0,
                    'currency_code' => 'AED',
                    'currency_name' => 'Dirham',
                    'currency_symbol' => '',
                    'flag' => 'ae.png',
                ),
                8 => array (
                    'id' => 9,
                    'name' => 'Argentina',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AR',
                    'iso_alpha3' => 'AR',
                    'iso_numeric' => 0,
                    'currency_code' => 'ARS',
                    'currency_name' => 'Peso',
                    'currency_symbol' => '$',
                    'flag' => 'ar.png',
                ),
                9 => array (
                    'id' => 10,
                    'name' => 'Armenia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AM',
                    'iso_alpha3' => 'AR',
                    'iso_numeric' => 0,
                    'currency_code' => 'AMD',
                    'currency_name' => 'Dram',
                    'currency_symbol' => '',
                    'flag' => 'am.png',
                ),
                10 => array (
                    'id' => 11,
                    'name' => 'American Samoa',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AS',
                    'iso_alpha3' => 'AS',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'as.png',
                ),
                11 => array (
                    'id' => 12,
                    'name' => 'Antarctica',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AQ',
                    'iso_alpha3' => 'AT',
                    'iso_numeric' => 0,
                    'currency_code' => '',
                    'currency_name' => '',
                    'currency_symbol' => '',
                    'flag' => 'aq.png',
                ),
                12 => array (
                    'id' => 13,
                    'name' => 'French Southern territories',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TF',
                    'iso_alpha3' => 'AT',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro  ',
                    'currency_symbol' => '€',
                    'flag' => 'tf.png',
                ),
                13 => array (
                    'id' => 14,
                    'name' => 'Antigua and Barbuda',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AG',
                    'iso_alpha3' => 'AT',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ag.png',
                ),
                14 => array (
                    'id' => 15,
                    'name' => 'Australia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AU',
                    'iso_alpha3' => 'AU',
                    'iso_numeric' => 0,
                    'currency_code' => 'AUD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'au.png',
                ),
                15 => array (
                    'id' => 16,
                    'name' => 'Austria',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AT',
                    'iso_alpha3' => 'AU',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'at.png',
                ),
                16 => array (
                    'id' => 17,
                    'name' => 'Azerbaijan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'AZ',
                    'iso_alpha3' => 'AZ',
                    'iso_numeric' => 0,
                    'currency_code' => 'AZN',
                    'currency_name' => 'Manat',
                    'currency_symbol' => 'ман',
                    'flag' => 'az.png',
                ),
                17 => array (
                    'id' => 18,
                    'name' => 'Burundi',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BI',
                    'iso_alpha3' => 'BD',
                    'iso_numeric' => 0,
                    'currency_code' => 'BIF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'bi.png',
                ),
                18 => array (
                    'id' => 19,
                    'name' => 'Belgium',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BE',
                    'iso_alpha3' => 'BE',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'be.png',
                ),
                19 => array (
                    'id' => 20,
                    'name' => 'Benin',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BJ',
                    'iso_alpha3' => 'BE',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'bj.png',
                ),
                20 => array (
                    'id' => 21,
                    'name' => 'Burkina Faso',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BF',
                    'iso_alpha3' => 'BF',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'bf.png',
                ),
                21 => array (
                    'id' => 22,
                    'name' => 'Bangladesh',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BD',
                    'iso_alpha3' => 'BG',
                    'iso_numeric' => 0,
                    'currency_code' => 'BDT',
                    'currency_name' => 'Taka',
                    'currency_symbol' => '',
                    'flag' => 'bd.png',
                ),
                22 => array (
                    'id' => 23,
                    'name' => 'Bulgaria',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BG',
                    'iso_alpha3' => 'BG',
                    'iso_numeric' => 0,
                    'currency_code' => 'BGN',
                    'currency_name' => 'Lev',
                    'currency_symbol' => 'лв',
                    'flag' => 'bg.png',
                ),
                23 => array (
                    'id' => 24,
                    'name' => 'Bahrain',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BH',
                    'iso_alpha3' => 'BH',
                    'iso_numeric' => 0,
                    'currency_code' => 'BHD',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'bh.png',
                ),
                24 => array (
                    'id' => 25,
                    'name' => 'Bahamas',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BS',
                    'iso_alpha3' => 'BH',
                    'iso_numeric' => 0,
                    'currency_code' => 'BSD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'bs.png',
                ),
                25 => array (
                    'id' => 26,
                    'name' => 'Bosnia and Herzegovina',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BA',
                    'iso_alpha3' => 'BI',
                    'iso_numeric' => 0,
                    'currency_code' => 'BAM',
                    'currency_name' => 'Marka',
                    'currency_symbol' => 'KM',
                    'flag' => 'ba.png',
                ),
                26 => array (
                    'id' => 27,
                    'name' => 'Belarus',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BY',
                    'iso_alpha3' => 'BL',
                    'iso_numeric' => 0,
                    'currency_code' => 'BYR',
                    'currency_name' => 'Ruble',
                    'currency_symbol' => 'p.',
                    'flag' => 'by.png',
                ),
                27 => array (
                    'id' => 28,
                    'name' => 'Belize',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BZ',
                    'iso_alpha3' => 'BL',
                    'iso_numeric' => 0,
                    'currency_code' => 'BZD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => 'BZ$',
                    'flag' => 'bz.png',
                ),
                28 => array (
                    'id' => 29,
                    'name' => 'Bermuda',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BM',
                    'iso_alpha3' => 'BM',
                    'iso_numeric' => 0,
                    'currency_code' => 'BMD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'bm.png',
                ),
                29 => array (
                    'id' => 30,
                    'name' => 'Bolivia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BO',
                    'iso_alpha3' => 'BO',
                    'iso_numeric' => 0,
                    'currency_code' => 'BOB',
                    'currency_name' => 'Boliviano',
                    'currency_symbol' => '$b',
                    'flag' => 'bo.png',
                ),
                30 => array (
                    'id' => 31,
                    'name' => 'Brazil',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BR',
                    'iso_alpha3' => 'BR',
                    'iso_numeric' => 0,
                    'currency_code' => 'BRL',
                    'currency_name' => 'Real',
                    'currency_symbol' => 'R$',
                    'flag' => 'br.png',
                ),
                31 => array (
                    'id' => 32,
                    'name' => 'Barbados',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BB',
                    'iso_alpha3' => 'BR',
                    'iso_numeric' => 0,
                    'currency_code' => 'BBD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'bb.png',
                ),
                32 => array (
                    'id' => 33,
                    'name' => 'Brunei',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BN',
                    'iso_alpha3' => 'BR',
                    'iso_numeric' => 0,
                    'currency_code' => 'BND',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'bn.png',
                ),
                33 => array (
                    'id' => 34,
                    'name' => 'Bhutan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BT',
                    'iso_alpha3' => 'BT',
                    'iso_numeric' => 0,
                    'currency_code' => 'BTN',
                    'currency_name' => 'Ngultrum',
                    'currency_symbol' => '',
                    'flag' => 'bt.png',
                ),
                34 => array (
                    'id' => 35,
                    'name' => 'Bouvet Island',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BV',
                    'iso_alpha3' => 'BV',
                    'iso_numeric' => 0,
                    'currency_code' => 'NOK',
                    'currency_name' => 'Krone',
                    'currency_symbol' => 'kr',
                    'flag' => 'bv.png',
                ),
                35 => array (
                    'id' => 36,
                    'name' => 'Botswana',
                    'is_visible' => 1,
                    'iso_alpha2' => 'BW',
                    'iso_alpha3' => 'BW',
                    'iso_numeric' => 0,
                    'currency_code' => 'BWP',
                    'currency_name' => 'Pula',
                    'currency_symbol' => 'P',
                    'flag' => 'bw.png',
                ),
                36 => array (
                    'id' => 37,
                    'name' => 'Central African Republic',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CF',
                    'iso_alpha3' => 'CA',
                    'iso_numeric' => 0,
                    'currency_code' => 'XAF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => 'FCF',
                    'flag' => 'cf.png',
                ),
                37 => array (
                    'id' => 38,
                    'name' => 'Canada',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CA',
                    'iso_alpha3' => 'CA',
                    'iso_numeric' => 0,
                    'currency_code' => 'CAD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ca.png',
                ),
                39 => array (
                    'id' => 40,
                    'name' => 'Switzerland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CH',
                    'iso_alpha3' => 'CH',
                    'iso_numeric' => 0,
                    'currency_code' => 'CHF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => 'CHF',
                    'flag' => 'ch.png',
                ),
                40 => array (
                    'id' => 41,
                    'name' => 'Chile',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CL',
                    'iso_alpha3' => 'CH',
                    'iso_numeric' => 0,
                    'currency_code' => 'CLP',
                    'currency_name' => 'Peso',
                    'currency_symbol' => '',
                    'flag' => 'cl.png',
                ),
                41 => array (
                    'id' => 42,
                    'name' => 'China',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CN',
                    'iso_alpha3' => 'CH',
                    'iso_numeric' => 0,
                    'currency_code' => 'CNY',
                    'currency_name' => 'Yuan Renminbi',
                    'currency_symbol' => '¥',
                    'flag' => 'cn.png',
                ),
                43 => array (
                    'id' => 44,
                    'name' => 'Cameroon',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CM',
                    'iso_alpha3' => 'CM',
                    'iso_numeric' => 0,
                    'currency_code' => 'XAF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => 'FCF',
                    'flag' => 'cm.png',
                ),
                46 => array (
                    'id' => 47,
                    'name' => 'Cook Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CK',
                    'iso_alpha3' => 'CO',
                    'iso_numeric' => 0,
                    'currency_code' => 'NZD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ck.png',
                ),
                47 => array (
                    'id' => 48,
                    'name' => 'Colombia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CO',
                    'iso_alpha3' => 'CO',
                    'iso_numeric' => 0,
                    'currency_code' => 'COP',
                    'currency_name' => 'Peso',
                    'currency_symbol' => '$',
                    'flag' => 'co.png',
                ),
                48 => array (
                    'id' => 49,
                    'name' => 'Comoros',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KM',
                    'iso_alpha3' => 'CO',
                    'iso_numeric' => 0,
                    'currency_code' => 'KMF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'km.png',
                ),
                49 => array (
                    'id' => 50,
                    'name' => 'Cape Verde',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CV',
                    'iso_alpha3' => 'CP',
                    'iso_numeric' => 0,
                    'currency_code' => 'CVE',
                    'currency_name' => 'Escudo',
                    'currency_symbol' => '',
                    'flag' => 'cv.png',
                ),
                50 => array (
                    'id' => 51,
                    'name' => 'Costa Rica',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CR',
                    'iso_alpha3' => 'CR',
                    'iso_numeric' => 0,
                    'currency_code' => 'CRC',
                    'currency_name' => 'Colon',
                    'currency_symbol' => '₡',
                    'flag' => 'cr.png',
                ),
                51 => array (
                    'id' => 52,
                    'name' => 'Cuba',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CU',
                    'iso_alpha3' => 'CU',
                    'iso_numeric' => 0,
                    'currency_code' => 'CUP',
                    'currency_name' => 'Peso',
                    'currency_symbol' => '₱',
                    'flag' => 'cu.png',
                ),
                52 => array (
                    'id' => 53,
                    'name' => 'Christmas Island',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CX',
                    'iso_alpha3' => 'CX',
                    'iso_numeric' => 0,
                    'currency_code' => 'AUD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'cx.png',
                ),
                53 => array (
                    'id' => 54,
                    'name' => 'Cayman Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KY',
                    'iso_alpha3' => 'CY',
                    'iso_numeric' => 0,
                    'currency_code' => 'KYD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ky.png',
                ),
                54 => array (
                    'id' => 55,
                    'name' => 'Cyprus',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CY',
                    'iso_alpha3' => 'CY',
                    'iso_numeric' => 0,
                    'currency_code' => 'CYP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '',
                    'flag' => 'cy.png',
                ),
                55 => array (
                    'id' => 56,
                    'name' => 'Czech Republic',
                    'is_visible' => 1,
                    'iso_alpha2' => 'CZ',
                    'iso_alpha3' => 'CZ',
                    'iso_numeric' => 0,
                    'currency_code' => 'CZK',
                    'currency_name' => 'Koruna',
                    'currency_symbol' => 'Kč',
                    'flag' => 'cz.png',
                ),
                56 => array (
                    'id' => 57,
                    'name' => 'Germany',
                    'is_visible' => 1,
                    'iso_alpha2' => 'DE',
                    'iso_alpha3' => 'DE',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'de.png',
                ),
                57 => array (
                    'id' => 58,
                    'name' => 'Djibouti',
                    'is_visible' => 1,
                    'iso_alpha2' => 'DJ',
                    'iso_alpha3' => 'DJ',
                    'iso_numeric' => 0,
                    'currency_code' => 'DJF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'dj.png',
                ),
                58 => array (
                    'id' => 59,
                    'name' => 'Dominica',
                    'is_visible' => 1,
                    'iso_alpha2' => 'DM',
                    'iso_alpha3' => 'DM',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'dm.png',
                ),
                59 => array (
                    'id' => 60,
                    'name' => 'Denmark',
                    'is_visible' => 1,
                    'iso_alpha2' => 'DK',
                    'iso_alpha3' => 'DN',
                    'iso_numeric' => 0,
                    'currency_code' => 'DKK',
                    'currency_name' => 'Krone',
                    'currency_symbol' => 'kr',
                    'flag' => 'dk.png',
                ),
                60 => array (
                    'id' => 61,
                    'name' => 'Dominican Republic',
                    'is_visible' => 1,
                    'iso_alpha2' => 'DO',
                    'iso_alpha3' => 'DO',
                    'iso_numeric' => 0,
                    'currency_code' => 'DOP',
                    'currency_name' => 'Peso',
                    'currency_symbol' => 'RD$',
                    'flag' => 'do.png',
                ),
                61 => array (
                    'id' => 62,
                    'name' => 'Algeria',
                    'is_visible' => 1,
                    'iso_alpha2' => 'DZ',
                    'iso_alpha3' => 'DZ',
                    'iso_numeric' => 0,
                    'currency_code' => 'DZD',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'dz.png',
                ),
                62 => array (
                    'id' => 63,
                    'name' => 'Ecuador',
                    'is_visible' => 1,
                    'iso_alpha2' => 'EC',
                    'iso_alpha3' => 'EC',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ec.png',
                ),
                63 => array (
                    'id' => 64,
                    'name' => 'Egypt',
                    'is_visible' => 1,
                    'iso_alpha2' => 'EG',
                    'iso_alpha3' => 'EG',
                    'iso_numeric' => 0,
                    'currency_code' => 'EGP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'eg.png',
                ),
                64 => array (
                    'id' => 65,
                    'name' => 'Eritrea',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ER',
                    'iso_alpha3' => 'ER',
                    'iso_numeric' => 0,
                    'currency_code' => 'ERN',
                    'currency_name' => 'Nakfa',
                    'currency_symbol' => 'Nfk',
                    'flag' => 'er.png',
                ),
                65 => array (
                    'id' => 66,
                    'name' => 'Western Sahara',
                    'is_visible' => 1,
                    'iso_alpha2' => 'EH',
                    'iso_alpha3' => 'ES',
                    'iso_numeric' => 0,
                    'currency_code' => 'MAD',
                    'currency_name' => 'Dirham',
                    'currency_symbol' => '',
                    'flag' => 'eh.png',
                ),
                66 => array (
                    'id' => 67,
                    'name' => 'Spain',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ES',
                    'iso_alpha3' => 'ES',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'es.png',
                ),
                67 => array (
                    'id' => 68,
                    'name' => 'Estonia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'EE',
                    'iso_alpha3' => 'ES',
                    'iso_numeric' => 0,
                    'currency_code' => 'EEK',
                    'currency_name' => 'Kroon',
                    'currency_symbol' => 'kr',
                    'flag' => 'ee.png',
                ),
                68 => array (
                    'id' => 69,
                    'name' => 'Ethiopia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ET',
                    'iso_alpha3' => 'ET',
                    'iso_numeric' => 0,
                    'currency_code' => 'ETB',
                    'currency_name' => 'Birr',
                    'currency_symbol' => '',
                    'flag' => 'et.png',
                ),
                69 => array (
                    'id' => 70,
                    'name' => 'Finland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'FI',
                    'iso_alpha3' => 'FI',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'fi.png',
                ),
                71 => array (
                    'id' => 72,
                    'name' => 'Falkland Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'FK',
                    'iso_alpha3' => 'FL',
                    'iso_numeric' => 0,
                    'currency_code' => 'FKP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'fk.png',
                ),
                72 => array (
                    'id' => 73,
                    'name' => 'France',
                    'is_visible' => 1,
                    'iso_alpha2' => 'FR',
                    'iso_alpha3' => 'FR',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'fr.png',
                ),
                73 => array (
                    'id' => 74,
                    'name' => 'Faroe Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'FO',
                    'iso_alpha3' => 'FR',
                    'iso_numeric' => 0,
                    'currency_code' => 'DKK',
                    'currency_name' => 'Krone',
                    'currency_symbol' => 'kr',
                    'flag' => 'fo.png',
                ),
                75 => array (
                    'id' => 76,
                    'name' => 'Gabon',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GA',
                    'iso_alpha3' => 'GA',
                    'iso_numeric' => 0,
                    'currency_code' => 'XAF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => 'FCF',
                    'flag' => 'ga.png',
                ),
                76 => array (
                    'id' => 77,
                    'name' => 'United Kingdom',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GB',
                    'iso_alpha3' => 'GB',
                    'iso_numeric' => 0,
                    'currency_code' => 'GBP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'gb.png',
                ),
                77 => array (
                    'id' => 78,
                    'name' => 'Georgia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GE',
                    'iso_alpha3' => 'GE',
                    'iso_numeric' => 0,
                    'currency_code' => 'GEL',
                    'currency_name' => 'Lari',
                    'currency_symbol' => '',
                    'flag' => 'ge.png',
                ),
                78 => array (
                    'id' => 79,
                    'name' => 'Ghana',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GH',
                    'iso_alpha3' => 'GH',
                    'iso_numeric' => 0,
                    'currency_code' => 'GHC',
                    'currency_name' => 'Cedi',
                    'currency_symbol' => '¢',
                    'flag' => 'gh.png',
                ),
                79 => array (
                    'id' => 80,
                    'name' => 'Gibraltar',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GI',
                    'iso_alpha3' => 'GI',
                    'iso_numeric' => 0,
                    'currency_code' => 'GIP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'gi.png',
                ),
                80 => array (
                    'id' => 81,
                    'name' => 'Guinea',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GN',
                    'iso_alpha3' => 'GI',
                    'iso_numeric' => 0,
                    'currency_code' => 'GNF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'gn.png',
                ),
                81 => array (
                    'id' => 82,
                    'name' => 'Guadeloupe',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GP',
                    'iso_alpha3' => 'GL',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'gp.png',
                ),
                82 => array (
                    'id' => 83,
                    'name' => 'Gambia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GM',
                    'iso_alpha3' => 'GM',
                    'iso_numeric' => 0,
                    'currency_code' => 'GMD',
                    'currency_name' => 'Dalasi',
                    'currency_symbol' => 'D',
                    'flag' => 'gm.png',
                ),
                83 => array (
                    'id' => 84,
                    'name' => 'Guinea-Bissau',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GW',
                    'iso_alpha3' => 'GN',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'gw.png',
                ),
                84 => array (
                    'id' => 85,
                    'name' => 'Equatorial Guinea',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GQ',
                    'iso_alpha3' => 'GN',
                    'iso_numeric' => 0,
                    'currency_code' => 'XAF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => 'FCF',
                    'flag' => 'gq.png',
                ),
                85 => array (
                    'id' => 86,
                    'name' => 'Greece',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GR',
                    'iso_alpha3' => 'GR',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'gr.png',
                ),
                86 => array (
                    'id' => 87,
                    'name' => 'Grenada',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GD',
                    'iso_alpha3' => 'GR',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'gd.png',
                ),
                87 => array (
                    'id' => 88,
                    'name' => 'Greenland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GL',
                    'iso_alpha3' => 'GR',
                    'iso_numeric' => 0,
                    'currency_code' => 'DKK',
                    'currency_name' => 'Krone',
                    'currency_symbol' => 'kr',
                    'flag' => 'gl.png',
                ),
                88 => array (
                    'id' => 89,
                    'name' => 'Guatemala',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GT',
                    'iso_alpha3' => 'GT',
                    'iso_numeric' => 0,
                    'currency_code' => 'GTQ',
                    'currency_name' => 'Quetzal',
                    'currency_symbol' => 'Q',
                    'flag' => 'gt.png',
                ),
                89 => array (
                    'id' => 90,
                    'name' => 'French Guiana',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GF',
                    'iso_alpha3' => 'GU',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'gf.png',
                ),
                90 => array (
                    'id' => 91,
                    'name' => 'Guam',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GU',
                    'iso_alpha3' => 'GU',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'gu.png',
                ),
                91 => array (
                    'id' => 92,
                    'name' => 'Guyana',
                    'is_visible' => 1,
                    'iso_alpha2' => 'GY',
                    'iso_alpha3' => 'GU',
                    'iso_numeric' => 0,
                    'currency_code' => 'GYD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'gy.png',
                ),
                92 => array (
                    'id' => 93,
                    'name' => 'Hong Kong',
                    'is_visible' => 1,
                    'iso_alpha2' => 'HK',
                    'iso_alpha3' => 'HK',
                    'iso_numeric' => 0,
                    'currency_code' => 'HKD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'hk.png',
                ),
                94 => array (
                    'id' => 95,
                    'name' => 'Honduras',
                    'is_visible' => 1,
                    'iso_alpha2' => 'HN',
                    'iso_alpha3' => 'HN',
                    'iso_numeric' => 0,
                    'currency_code' => 'HNL',
                    'currency_name' => 'Lempira',
                    'currency_symbol' => 'L',
                    'flag' => 'hn.png',
                ),
                95 => array (
                    'id' => 96,
                    'name' => 'Croatia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'HR',
                    'iso_alpha3' => 'HR',
                    'iso_numeric' => 0,
                    'currency_code' => 'HRK',
                    'currency_name' => 'Kuna',
                    'currency_symbol' => 'kn',
                    'flag' => 'hr.png',
                ),
                96 => array (
                    'id' => 97,
                    'name' => 'Haiti',
                    'is_visible' => 1,
                    'iso_alpha2' => 'HT',
                    'iso_alpha3' => 'HT',
                    'iso_numeric' => 0,
                    'currency_code' => 'HTG',
                    'currency_name' => 'Gourde',
                    'currency_symbol' => 'G',
                    'flag' => 'ht.png',
                ),
                97 => array (
                    'id' => 98,
                    'name' => 'Hungary',
                    'is_visible' => 1,
                    'iso_alpha2' => 'HU',
                    'iso_alpha3' => 'HU',
                    'iso_numeric' => 0,
                    'currency_code' => 'HUF',
                    'currency_name' => 'Forint',
                    'currency_symbol' => 'Ft',
                    'flag' => 'hu.png',
                ),
                98 => array (
                    'id' => 99,
                    'name' => 'Indonesia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ID',
                    'iso_alpha3' => 'ID',
                    'iso_numeric' => 0,
                    'currency_code' => 'IDR',
                    'currency_name' => 'Rupiah',
                    'currency_symbol' => 'Rp',
                    'flag' => 'id.png',
                ),
                99 => array (
                    'id' => 100,
                    'name' => 'India',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IN',
                    'iso_alpha3' => 'IN',
                    'iso_numeric' => 0,
                    'currency_code' => 'INR',
                    'currency_name' => 'Rupee',
                    'currency_symbol' => '₹',
                    'flag' => 'in.png',
                ),
                100 => array (
                    'id' => 101,
                    'name' => 'British Indian Ocean Territory',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IO',
                    'iso_alpha3' => 'IO',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'io.png',
                ),
                101 => array (
                    'id' => 102,
                    'name' => 'Ireland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IE',
                    'iso_alpha3' => 'IR',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'ie.png',
                ),
                102 => array (
                    'id' => 103,
                    'name' => 'Iran',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IR',
                    'iso_alpha3' => 'IR',
                    'iso_numeric' => 0,
                    'currency_code' => 'IRR',
                    'currency_name' => 'Rial',
                    'currency_symbol' => '﷼',
                    'flag' => 'ir.png',
                ),
                103 => array (
                    'id' => 104,
                    'name' => 'Iraq',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IQ',
                    'iso_alpha3' => 'IR',
                    'iso_numeric' => 0,
                    'currency_code' => 'IQD',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'iq.png',
                ),
                104 => array (
                    'id' => 105,
                    'name' => 'Iceland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IS',
                    'iso_alpha3' => 'IS',
                    'iso_numeric' => 0,
                    'currency_code' => 'ISK',
                    'currency_name' => 'Krona',
                    'currency_symbol' => 'kr',
                    'flag' => 'is.png',
                ),
                105 => array (
                    'id' => 106,
                    'name' => 'Israel',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IL',
                    'iso_alpha3' => 'IS',
                    'iso_numeric' => 0,
                    'currency_code' => 'ILS',
                    'currency_name' => 'Shekel',
                    'currency_symbol' => '₪',
                    'flag' => 'il.png',
                ),
                106 => array (
                    'id' => 107,
                    'name' => 'Italy',
                    'is_visible' => 1,
                    'iso_alpha2' => 'IT',
                    'iso_alpha3' => 'IT',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'it.png',
                ),
                107 => array (
                    'id' => 108,
                    'name' => 'Jamaica',
                    'is_visible' => 1,
                    'iso_alpha2' => 'JM',
                    'iso_alpha3' => 'JA',
                    'iso_numeric' => 0,
                    'currency_code' => 'JMD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'jm.png',
                ),
                108 => array (
                    'id' => 109,
                    'name' => 'Jordan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'JO',
                    'iso_alpha3' => 'JO',
                    'iso_numeric' => 0,
                    'currency_code' => 'JOD',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'jo.png',
                ),
                109 => array (
                    'id' => 110,
                    'name' => 'Japan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'JP',
                    'iso_alpha3' => 'JP',
                    'iso_numeric' => 0,
                    'currency_code' => 'JPY',
                    'currency_name' => 'Yen',
                    'currency_symbol' => '¥',
                    'flag' => 'jp.png',
                ),
                111 => array (
                    'id' => 112,
                    'name' => 'Kenya',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KE',
                    'iso_alpha3' => 'KE',
                    'iso_numeric' => 0,
                    'currency_code' => 'KES',
                    'currency_name' => 'Shilling',
                    'currency_symbol' => '',
                    'flag' => 'ke.png',
                ),
                112 => array (
                    'id' => 113,
                    'name' => 'Kyrgyzstan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KG',
                    'iso_alpha3' => 'KG',
                    'iso_numeric' => 0,
                    'currency_code' => 'KGS',
                    'currency_name' => 'Som',
                    'currency_symbol' => 'лв',
                    'flag' => 'kg.png',
                ),
                113 => array (
                    'id' => 114,
                    'name' => 'Cambodia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KH',
                    'iso_alpha3' => 'KH',
                    'iso_numeric' => 0,
                    'currency_code' => 'KHR',
                    'currency_name' => 'Riels',
                    'currency_symbol' => '៛',
                    'flag' => 'kh.png',
                ),
                114 => array (
                    'id' => 115,
                    'name' => 'Kiribati',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KI',
                    'iso_alpha3' => 'KI',
                    'iso_numeric' => 0,
                    'currency_code' => 'AUD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ki.png',
                ),
                115 => array (
                    'id' => 116,
                    'name' => 'Saint Kitts and Nevis',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KN',
                    'iso_alpha3' => 'KN',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'kn.png',
                ),
                116 => array (
                    'id' => 117,
                    'name' => 'South Korea',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KR',
                    'iso_alpha3' => 'KO',
                    'iso_numeric' => 0,
                    'currency_code' => 'KRW',
                    'currency_name' => 'Won',
                    'currency_symbol' => '₩',
                    'flag' => 'kr.png',
                ),
                117 => array (
                    'id' => 118,
                    'name' => 'Kuwait',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KW',
                    'iso_alpha3' => 'KW',
                    'iso_numeric' => 0,
                    'currency_code' => 'KWD',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'kw.png',
                ),
                118 => array (
                    'id' => 119,
                    'name' => 'Laos',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LA',
                    'iso_alpha3' => 'LA',
                    'iso_numeric' => 0,
                    'currency_code' => 'LAK',
                    'currency_name' => 'Kip',
                    'currency_symbol' => '₭',
                    'flag' => 'la.png',
                ),
                119 => array (
                    'id' => 120,
                    'name' => 'Lebanon',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LB',
                    'iso_alpha3' => 'LB',
                    'iso_numeric' => 0,
                    'currency_code' => 'LBP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'lb.png',
                ),
                120 => array (
                    'id' => 121,
                    'name' => 'Liberia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LR',
                    'iso_alpha3' => 'LB',
                    'iso_numeric' => 0,
                    'currency_code' => 'LRD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'lr.png',
                ),
                122 => array (
                    'id' => 123,
                    'name' => 'Saint Lucia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LC',
                    'iso_alpha3' => 'LC',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'lc.png',
                ),
                123 => array (
                    'id' => 124,
                    'name' => 'Liechtenstein',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LI',
                    'iso_alpha3' => 'LI',
                    'iso_numeric' => 0,
                    'currency_code' => 'CHF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => 'CHF',
                    'flag' => 'li.png',
                ),
                124 => array (
                    'id' => 125,
                    'name' => 'Sri Lanka',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LK',
                    'iso_alpha3' => 'LK',
                    'iso_numeric' => 0,
                    'currency_code' => 'LKR',
                    'currency_name' => 'Rupee',
                    'currency_symbol' => '₨',
                    'flag' => 'lk.png',
                ),
                125 => array (
                    'id' => 126,
                    'name' => 'Lesotho',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LS',
                    'iso_alpha3' => 'LS',
                    'iso_numeric' => 0,
                    'currency_code' => 'LSL',
                    'currency_name' => 'Loti',
                    'currency_symbol' => 'L',
                    'flag' => 'ls.png',
                ),
                126 => array (
                    'id' => 127,
                    'name' => 'Lithuania',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LT',
                    'iso_alpha3' => 'LT',
                    'iso_numeric' => 0,
                    'currency_code' => 'LTL',
                    'currency_name' => 'Litas',
                    'currency_symbol' => 'Lt',
                    'flag' => 'lt.png',
                ),
                127 => array (
                    'id' => 128,
                    'name' => 'Luxembourg',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LU',
                    'iso_alpha3' => 'LU',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'lu.png',
                ),
                128 => array (
                    'id' => 129,
                    'name' => 'Latvia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'LV',
                    'iso_alpha3' => 'LV',
                    'iso_numeric' => 0,
                    'currency_code' => 'LVL',
                    'currency_name' => 'Lat',
                    'currency_symbol' => 'Ls',
                    'flag' => 'lv.png',
                ),
                129 => array (
                    'id' => 130,
                    'name' => 'Macao',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MO',
                    'iso_alpha3' => 'MA',
                    'iso_numeric' => 0,
                    'currency_code' => 'MOP',
                    'currency_name' => 'Pataca',
                    'currency_symbol' => 'MOP',
                    'flag' => 'mo.png',
                ),
                130 => array (
                    'id' => 131,
                    'name' => 'Morocco',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MA',
                    'iso_alpha3' => 'MA',
                    'iso_numeric' => 0,
                    'currency_code' => 'MAD',
                    'currency_name' => 'Dirham',
                    'currency_symbol' => '',
                    'flag' => 'ma.png',
                ),
                131 => array (
                    'id' => 132,
                    'name' => 'Monaco',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MC',
                    'iso_alpha3' => 'MC',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'mc.png',
                ),
                132 => array (
                    'id' => 133,
                    'name' => 'Moldova',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MD',
                    'iso_alpha3' => 'MD',
                    'iso_numeric' => 0,
                    'currency_code' => 'MDL',
                    'currency_name' => 'Leu',
                    'currency_symbol' => '',
                    'flag' => 'md.png',
                ),
                133 => array (
                    'id' => 134,
                    'name' => 'Madagascar',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MG',
                    'iso_alpha3' => 'MD',
                    'iso_numeric' => 0,
                    'currency_code' => 'MGA',
                    'currency_name' => 'Ariary',
                    'currency_symbol' => '',
                    'flag' => 'mg.png',
                ),
                134 => array (
                    'id' => 135,
                    'name' => 'Maldives',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MV',
                    'iso_alpha3' => 'MD',
                    'iso_numeric' => 0,
                    'currency_code' => 'MVR',
                    'currency_name' => 'Rufiyaa',
                    'currency_symbol' => 'Rf',
                    'flag' => 'mv.png',
                ),
                135 => array (
                    'id' => 136,
                    'name' => 'Mexico',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MX',
                    'iso_alpha3' => 'ME',
                    'iso_numeric' => 0,
                    'currency_code' => 'MXN',
                    'currency_name' => 'Peso',
                    'currency_symbol' => '$',
                    'flag' => 'mx.png',
                ),
                136 => array (
                    'id' => 137,
                    'name' => 'Marshall Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MH',
                    'iso_alpha3' => 'MH',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'mh.png',
                ),
                137 => array (
                    'id' => 138,
                    'name' => 'Macedonia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MK',
                    'iso_alpha3' => 'MK',
                    'iso_numeric' => 0,
                    'currency_code' => 'MKD',
                    'currency_name' => 'Denar',
                    'currency_symbol' => 'ден',
                    'flag' => 'mk.png',
                ),
                138 => array (
                    'id' => 139,
                    'name' => 'Mali',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ML',
                    'iso_alpha3' => 'ML',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'ml.png',
                ),
                139 => array (
                    'id' => 140,
                    'name' => 'Malta',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MT',
                    'iso_alpha3' => 'ML',
                    'iso_numeric' => 0,
                    'currency_code' => 'MTL',
                    'currency_name' => 'Lira',
                    'currency_symbol' => '',
                    'flag' => 'mt.png',
                ),
                140 => array (
                    'id' => 141,
                    'name' => 'Myanmar',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MM',
                    'iso_alpha3' => 'MM',
                    'iso_numeric' => 0,
                    'currency_code' => 'MMK',
                    'currency_name' => 'Kyat',
                    'currency_symbol' => 'K',
                    'flag' => 'mm.png',
                ),
                141 => array (
                    'id' => 142,
                    'name' => 'Mongolia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MN',
                    'iso_alpha3' => 'MN',
                    'iso_numeric' => 0,
                    'currency_code' => 'MNT',
                    'currency_name' => 'Tugrik',
                    'currency_symbol' => '₮',
                    'flag' => 'mn.png',
                ),
                142 => array (
                    'id' => 143,
                    'name' => 'Northern Mariana Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MP',
                    'iso_alpha3' => 'MN',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'mp.png',
                ),
                143 => array (
                    'id' => 144,
                    'name' => 'Mozambique',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MZ',
                    'iso_alpha3' => 'MO',
                    'iso_numeric' => 0,
                    'currency_code' => 'MZN',
                    'currency_name' => 'Meticail',
                    'currency_symbol' => 'MT',
                    'flag' => 'mz.png',
                ),
                144 => array (
                    'id' => 145,
                    'name' => 'Mauritania',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MR',
                    'iso_alpha3' => 'MR',
                    'iso_numeric' => 0,
                    'currency_code' => 'MRO',
                    'currency_name' => 'Ouguiya',
                    'currency_symbol' => 'UM',
                    'flag' => 'mr.png',
                ),
                145 => array (
                    'id' => 146,
                    'name' => 'Montserrat',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MS',
                    'iso_alpha3' => 'MS',
                    'iso_numeric' => 0,
                    'currency_code' => 'XCD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'ms.png',
                ),
                146 => array (
                    'id' => 147,
                    'name' => 'Martinique',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MQ',
                    'iso_alpha3' => 'MT',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'mq.png',
                ),
                147 => array (
                    'id' => 148,
                    'name' => 'Mauritius',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MU',
                    'iso_alpha3' => 'MU',
                    'iso_numeric' => 0,
                    'currency_code' => 'MUR',
                    'currency_name' => 'Rupee',
                    'currency_symbol' => '₨',
                    'flag' => 'mu.png',
                ),
                148 => array (
                    'id' => 149,
                    'name' => 'Malawi',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MW',
                    'iso_alpha3' => 'MW',
                    'iso_numeric' => 0,
                    'currency_code' => 'MWK',
                    'currency_name' => 'Kwacha',
                    'currency_symbol' => 'MK',
                    'flag' => 'mw.png',
                ),
                149 => array (
                    'id' => 150,
                    'name' => 'Malaysia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'MY',
                    'iso_alpha3' => 'MY',
                    'iso_numeric' => 0,
                    'currency_code' => 'MYR',
                    'currency_name' => 'Ringgit',
                    'currency_symbol' => 'RM',
                    'flag' => 'my.png',
                ),
                150 => array (
                    'id' => 151,
                    'name' => 'Mayotte',
                    'is_visible' => 1,
                    'iso_alpha2' => 'YT',
                    'iso_alpha3' => 'MY',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'yt.png',
                ),
                151 => array (
                    'id' => 152,
                    'name' => 'Namibia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NA',
                    'iso_alpha3' => 'NA',
                    'iso_numeric' => 0,
                    'currency_code' => 'NAD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'na.png',
                ),
                152 => array (
                    'id' => 153,
                    'name' => 'New Caledonia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NC',
                    'iso_alpha3' => 'NC',
                    'iso_numeric' => 0,
                    'currency_code' => 'XPF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'nc.png',
                ),
                153 => array (
                    'id' => 154,
                    'name' => 'Niger',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NE',
                    'iso_alpha3' => 'NE',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'ne.png',
                ),
                154 => array (
                    'id' => 155,
                    'name' => 'Norfolk Island',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NF',
                    'iso_alpha3' => 'NF',
                    'iso_numeric' => 0,
                    'currency_code' => 'AUD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'nf.png',
                ),
                155 => array (
                    'id' => 156,
                    'name' => 'Nigeria',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NG',
                    'iso_alpha3' => 'NG',
                    'iso_numeric' => 0,
                    'currency_code' => 'NGN',
                    'currency_name' => 'Naira',
                    'currency_symbol' => '₦',
                    'flag' => 'ng.png',
                ),
                156 => array (
                    'id' => 157,
                    'name' => 'Nicaragua',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NI',
                    'iso_alpha3' => 'NI',
                    'iso_numeric' => 0,
                    'currency_code' => 'NIO',
                    'currency_name' => 'Cordoba',
                    'currency_symbol' => 'C$',
                    'flag' => 'ni.png',
                ),
                157 => array (
                    'id' => 158,
                    'name' => 'Niue',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NU',
                    'iso_alpha3' => 'NI',
                    'iso_numeric' => 0,
                    'currency_code' => 'NZD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'nu.png',
                ),
                158 => array (
                    'id' => 159,
                    'name' => 'Netherlands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NL',
                    'iso_alpha3' => 'NL',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'nl.png',
                ),
                159 => array (
                    'id' => 160,
                    'name' => 'Norway',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NO',
                    'iso_alpha3' => 'NO',
                    'iso_numeric' => 0,
                    'currency_code' => 'NOK',
                    'currency_name' => 'Krone',
                    'currency_symbol' => 'kr',
                    'flag' => 'no.png',
                ),
                160 => array (
                    'id' => 161,
                    'name' => 'Nepal',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NP',
                    'iso_alpha3' => 'NP',
                    'iso_numeric' => 0,
                    'currency_code' => 'NPR',
                    'currency_name' => 'Rupee',
                    'currency_symbol' => '₨',
                    'flag' => 'np.png',
                ),
                161 => array (
                    'id' => 162,
                    'name' => 'Nauru',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NR',
                    'iso_alpha3' => 'NR',
                    'iso_numeric' => 0,
                    'currency_code' => 'AUD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'nr.png',
                ),
                162 => array (
                    'id' => 163,
                    'name' => 'New Zealand',
                    'is_visible' => 1,
                    'iso_alpha2' => 'NZ',
                    'iso_alpha3' => 'NZ',
                    'iso_numeric' => 0,
                    'currency_code' => 'NZD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'nz.png',
                ),
                163 => array (
                    'id' => 164,
                    'name' => 'Oman',
                    'is_visible' => 1,
                    'iso_alpha2' => 'OM',
                    'iso_alpha3' => 'OM',
                    'iso_numeric' => 0,
                    'currency_code' => 'OMR',
                    'currency_name' => 'Rial',
                    'currency_symbol' => '﷼',
                    'flag' => 'om.png',
                ),
                164 => array (
                    'id' => 165,
                    'name' => 'Pakistan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PK',
                    'iso_alpha3' => 'PA',
                    'iso_numeric' => 0,
                    'currency_code' => 'PKR',
                    'currency_name' => 'Rupee',
                    'currency_symbol' => '₨',
                    'flag' => 'pk.png',
                ),
                165 => array (
                    'id' => 166,
                    'name' => 'Panama',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PA',
                    'iso_alpha3' => 'PA',
                    'iso_numeric' => 0,
                    'currency_code' => 'PAB',
                    'currency_name' => 'Balboa',
                    'currency_symbol' => 'B/.',
                    'flag' => 'pa.png',
                ),
                166 => array (
                    'id' => 167,
                    'name' => 'Pitcairn',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PN',
                    'iso_alpha3' => 'PC',
                    'iso_numeric' => 0,
                    'currency_code' => 'NZD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'pn.png',
                ),
                167 => array (
                    'id' => 168,
                    'name' => 'Peru',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PE',
                    'iso_alpha3' => 'PE',
                    'iso_numeric' => 0,
                    'currency_code' => 'PEN',
                    'currency_name' => 'Sol',
                    'currency_symbol' => 'S/.',
                    'flag' => 'pe.png',
                ),
                168 => array (
                    'id' => 169,
                    'name' => 'Philippines',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PH',
                    'iso_alpha3' => 'PH',
                    'iso_numeric' => 0,
                    'currency_code' => 'PHP',
                    'currency_name' => 'Peso',
                    'currency_symbol' => 'Php',
                    'flag' => 'ph.png',
                ),
                169 => array (
                    'id' => 170,
                    'name' => 'Palau',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PW',
                    'iso_alpha3' => 'PL',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'pw.png',
                ),
                170 => array (
                    'id' => 171,
                    'name' => 'Papua New Guinea',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PG',
                    'iso_alpha3' => 'PN',
                    'iso_numeric' => 0,
                    'currency_code' => 'PGK',
                    'currency_name' => 'Kina',
                    'currency_symbol' => '',
                    'flag' => 'pg.png',
                ),
                171 => array (
                    'id' => 172,
                    'name' => 'Poland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PL',
                    'iso_alpha3' => 'PO',
                    'iso_numeric' => 0,
                    'currency_code' => 'PLN',
                    'currency_name' => 'Zloty',
                    'currency_symbol' => 'zł',
                    'flag' => 'pl.png',
                ),
                172 => array (
                    'id' => 173,
                    'name' => 'Puerto Rico',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PR',
                    'iso_alpha3' => 'PR',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'pr.png',
                ),
                173 => array (
                    'id' => 174,
                    'name' => 'North Korea',
                    'is_visible' => 1,
                    'iso_alpha2' => 'KP',
                    'iso_alpha3' => 'PR',
                    'iso_numeric' => 0,
                    'currency_code' => 'KPW',
                    'currency_name' => 'Won',
                    'currency_symbol' => '₩',
                    'flag' => 'kp.png',
                ),
                174 => array (
                    'id' => 175,
                    'name' => 'Portugal',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PT',
                    'iso_alpha3' => 'PR',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'pt.png',
                ),
                175 => array (
                    'id' => 176,
                    'name' => 'Paraguay',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PY',
                    'iso_alpha3' => 'PR',
                    'iso_numeric' => 0,
                    'currency_code' => 'PYG',
                    'currency_name' => 'Guarani',
                    'currency_symbol' => 'Gs',
                    'flag' => 'py.png',
                ),
                177 => array (
                    'id' => 178,
                    'name' => 'French Polynesia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PF',
                    'iso_alpha3' => 'PY',
                    'iso_numeric' => 0,
                    'currency_code' => 'XPF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'pf.png',
                ),
                178 => array (
                    'id' => 179,
                    'name' => 'Qatar',
                    'is_visible' => 1,
                    'iso_alpha2' => 'QA',
                    'iso_alpha3' => 'QA',
                    'iso_numeric' => 0,
                    'currency_code' => 'QAR',
                    'currency_name' => 'Rial',
                    'currency_symbol' => '﷼',
                    'flag' => 'qa.png',
                ),
                180 => array (
                    'id' => 181,
                    'name' => 'Romania',
                    'is_visible' => 1,
                    'iso_alpha2' => 'RO',
                    'iso_alpha3' => 'RO',
                    'iso_numeric' => 0,
                    'currency_code' => 'RON',
                    'currency_name' => 'Leu',
                    'currency_symbol' => 'lei',
                    'flag' => 'ro.png',
                ),
                182 => array (
                    'id' => 183,
                    'name' => 'Rwanda',
                    'is_visible' => 1,
                    'iso_alpha2' => 'RW',
                    'iso_alpha3' => 'RW',
                    'iso_numeric' => 0,
                    'currency_code' => 'RWF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'rw.png',
                ),
                183 => array (
                    'id' => 184,
                    'name' => 'Saudi Arabia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SA',
                    'iso_alpha3' => 'SA',
                    'iso_numeric' => 0,
                    'currency_code' => 'SAR',
                    'currency_name' => 'Rial',
                    'currency_symbol' => '﷼',
                    'flag' => 'sa.png',
                ),
                184 => array (
                    'id' => 185,
                    'name' => 'Sudan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SD',
                    'iso_alpha3' => 'SD',
                    'iso_numeric' => 0,
                    'currency_code' => 'SDD',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'sd.png',
                ),
                185 => array (
                    'id' => 186,
                    'name' => 'Senegal',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SN',
                    'iso_alpha3' => 'SE',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'sn.png',
                ),
                186 => array (
                    'id' => 187,
                    'name' => 'Singapore',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SG',
                    'iso_alpha3' => 'SG',
                    'iso_numeric' => 0,
                    'currency_code' => 'SGD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'sg.png',
                ),
                188 => array (
                    'id' => 189,
                    'name' => 'Saint Helena',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SH',
                    'iso_alpha3' => 'SH',
                    'iso_numeric' => 0,
                    'currency_code' => 'SHP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'sh.png',
                ),
                189 => array (
                    'id' => 190,
                    'name' => 'Svalbard and Jan Mayen',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SJ',
                    'iso_alpha3' => 'SJ',
                    'iso_numeric' => 0,
                    'currency_code' => 'NOK',
                    'currency_name' => 'Krone',
                    'currency_symbol' => 'kr',
                    'flag' => 'sj.png',
                ),
                190 => array (
                    'id' => 191,
                    'name' => 'Solomon Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SB',
                    'iso_alpha3' => 'SL',
                    'iso_numeric' => 0,
                    'currency_code' => 'SBD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'sb.png',
                ),
                191 => array (
                    'id' => 192,
                    'name' => 'Sierra Leone',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SL',
                    'iso_alpha3' => 'SL',
                    'iso_numeric' => 0,
                    'currency_code' => 'SLL',
                    'currency_name' => 'Leone',
                    'currency_symbol' => 'Le',
                    'flag' => 'sl.png',
                ),
                192 => array (
                    'id' => 193,
                    'name' => 'El Salvador',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SV',
                    'iso_alpha3' => 'SL',
                    'iso_numeric' => 0,
                    'currency_code' => 'SVC',
                    'currency_name' => 'Colone',
                    'currency_symbol' => '$',
                    'flag' => 'sv.png',
                ),
                193 => array (
                    'id' => 194,
                    'name' => 'San Marino',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SM',
                    'iso_alpha3' => 'SM',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'sm.png',
                ),
                194 => array (
                    'id' => 195,
                    'name' => 'Somalia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SO',
                    'iso_alpha3' => 'SO',
                    'iso_numeric' => 0,
                    'currency_code' => 'SOS',
                    'currency_name' => 'Shilling',
                    'currency_symbol' => 'S',
                    'flag' => 'so.png',
                ),
                195 => array (
                    'id' => 196,
                    'name' => 'Saint Pierre and Miquelon',
                    'is_visible' => 1,
                    'iso_alpha2' => 'PM',
                    'iso_alpha3' => 'SP',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'pm.png',
                ),
                196 => array (
                    'id' => 197,
                    'name' => 'Sao Tome and Principe',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ST',
                    'iso_alpha3' => 'ST',
                    'iso_numeric' => 0,
                    'currency_code' => 'STD',
                    'currency_name' => 'Dobra',
                    'currency_symbol' => 'Db',
                    'flag' => 'st.png',
                ),
                197 => array (
                    'id' => 198,
                    'name' => 'Suriname',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SR',
                    'iso_alpha3' => 'SU',
                    'iso_numeric' => 0,
                    'currency_code' => 'SRD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'sr.png',
                ),
                198 => array (
                    'id' => 199,
                    'name' => 'Slovakia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SK',
                    'iso_alpha3' => 'SV',
                    'iso_numeric' => 0,
                    'currency_code' => 'SKK',
                    'currency_name' => 'Koruna',
                    'currency_symbol' => 'Sk',
                    'flag' => 'sk.png',
                ),
                199 => array (
                    'id' => 200,
                    'name' => 'Slovenia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SI',
                    'iso_alpha3' => 'SV',
                    'iso_numeric' => 0,
                    'currency_code' => 'EUR',
                    'currency_name' => 'Euro',
                    'currency_symbol' => '€',
                    'flag' => 'si.png',
                ),
                200 => array (
                    'id' => 201,
                    'name' => 'Sweden',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SE',
                    'iso_alpha3' => 'SW',
                    'iso_numeric' => 0,
                    'currency_code' => 'SEK',
                    'currency_name' => 'Krona',
                    'currency_symbol' => 'kr',
                    'flag' => 'se.png',
                ),
                201 => array (
                    'id' => 202,
                    'name' => 'Swaziland',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SZ',
                    'iso_alpha3' => 'SW',
                    'iso_numeric' => 0,
                    'currency_code' => 'SZL',
                    'currency_name' => 'Lilangeni',
                    'currency_symbol' => '',
                    'flag' => 'sz.png',
                ),
                202 => array (
                    'id' => 203,
                    'name' => 'Seychelles',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SC',
                    'iso_alpha3' => 'SY',
                    'iso_numeric' => 0,
                    'currency_code' => 'SCR',
                    'currency_name' => 'Rupee',
                    'currency_symbol' => '₨',
                    'flag' => 'sc.png',
                ),
                203 => array (
                    'id' => 204,
                    'name' => 'Syria',
                    'is_visible' => 1,
                    'iso_alpha2' => 'SY',
                    'iso_alpha3' => 'SY',
                    'iso_numeric' => 0,
                    'currency_code' => 'SYP',
                    'currency_name' => 'Pound',
                    'currency_symbol' => '£',
                    'flag' => 'sy.png',
                ),
                204 => array (
                    'id' => 205,
                    'name' => 'Turks and Caicos Islands',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TC',
                    'iso_alpha3' => 'TC',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'tc.png',
                ),
                205 => array (
                    'id' => 206,
                    'name' => 'Chad',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TD',
                    'iso_alpha3' => 'TC',
                    'iso_numeric' => 0,
                    'currency_code' => 'XAF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'td.png',
                ),
                206 => array (
                    'id' => 207,
                    'name' => 'Togo',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TG',
                    'iso_alpha3' => 'TG',
                    'iso_numeric' => 0,
                    'currency_code' => 'XOF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'tg.png',
                ),
                207 => array (
                    'id' => 208,
                    'name' => 'Thailand',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TH',
                    'iso_alpha3' => 'TH',
                    'iso_numeric' => 0,
                    'currency_code' => 'THB',
                    'currency_name' => 'Baht',
                    'currency_symbol' => '฿',
                    'flag' => 'th.png',
                ),
                208 => array (
                    'id' => 209,
                    'name' => 'Tajikistan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TJ',
                    'iso_alpha3' => 'TJ',
                    'iso_numeric' => 0,
                    'currency_code' => 'TJS',
                    'currency_name' => 'Somoni',
                    'currency_symbol' => '',
                    'flag' => 'tj.png',
                ),
                209 => array (
                    'id' => 210,
                    'name' => 'Tokelau',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TK',
                    'iso_alpha3' => 'TK',
                    'iso_numeric' => 0,
                    'currency_code' => 'NZD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'tk.png',
                ),
                210 => array (
                    'id' => 211,
                    'name' => 'Turkmenistan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TM',
                    'iso_alpha3' => 'TK',
                    'iso_numeric' => 0,
                    'currency_code' => 'TMM',
                    'currency_name' => 'Manat',
                    'currency_symbol' => 'm',
                    'flag' => 'tm.png',
                ),
                211 => array (
                    'id' => 212,
                    'name' => 'East Timor',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TL',
                    'iso_alpha3' => 'TL',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'tl.png',
                ),
                212 => array (
                    'id' => 213,
                    'name' => 'Tonga',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TO',
                    'iso_alpha3' => 'TO',
                    'iso_numeric' => 0,
                    'currency_code' => 'TOP',
                    'currency_name' => 'Pa"anga',
                    'currency_symbol' => 'T$',
                    'flag' => 'to.png',
                ),
                213 => array (
                    'id' => 214,
                    'name' => 'Trinidad and Tobago',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TT',
                    'iso_alpha3' => 'TT',
                    'iso_numeric' => 0,
                    'currency_code' => 'TTD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => 'TT$',
                    'flag' => 'tt.png',
                ),
                214 => array (
                    'id' => 215,
                    'name' => 'Tunisia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TN',
                    'iso_alpha3' => 'TU',
                    'iso_numeric' => 0,
                    'currency_code' => 'TND',
                    'currency_name' => 'Dinar',
                    'currency_symbol' => '',
                    'flag' => 'tn.png',
                ),
                215 => array (
                    'id' => 216,
                    'name' => 'Turkey',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TR',
                    'iso_alpha3' => 'TU',
                    'iso_numeric' => 0,
                    'currency_code' => 'TRY',
                    'currency_name' => 'Lira',
                    'currency_symbol' => 'YTL',
                    'flag' => 'tr.png',
                ),
                216 => array (
                    'id' => 217,
                    'name' => 'Tuvalu',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TV',
                    'iso_alpha3' => 'TU',
                    'iso_numeric' => 0,
                    'currency_code' => 'AUD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'tv.png',
                ),
                217 => array (
                    'id' => 218,
                    'name' => 'Taiwan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TW',
                    'iso_alpha3' => 'TW',
                    'iso_numeric' => 0,
                    'currency_code' => 'TWD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => 'NT$',
                    'flag' => 'tw.png',
                ),
                218 => array (
                    'id' => 219,
                    'name' => 'Tanzania',
                    'is_visible' => 1,
                    'iso_alpha2' => 'TZ',
                    'iso_alpha3' => 'TZ',
                    'iso_numeric' => 0,
                    'currency_code' => 'TZS',
                    'currency_name' => 'Shilling',
                    'currency_symbol' => '',
                    'flag' => 'tz.png',
                ),
                219 => array (
                    'id' => 220,
                    'name' => 'Uganda',
                    'is_visible' => 1,
                    'iso_alpha2' => 'UG',
                    'iso_alpha3' => 'UG',
                    'iso_numeric' => 0,
                    'currency_code' => 'UGX',
                    'currency_name' => 'Shilling',
                    'currency_symbol' => '',
                    'flag' => 'ug.png',
                ),
                220 => array (
                    'id' => 221,
                    'name' => 'Ukraine',
                    'is_visible' => 1,
                    'iso_alpha2' => 'UA',
                    'iso_alpha3' => 'UK',
                    'iso_numeric' => 0,
                    'currency_code' => 'UAH',
                    'currency_name' => 'Hryvnia',
                    'currency_symbol' => '₴',
                    'flag' => 'ua.png',
                ),
                222 => array (
                    'id' => 223,
                    'name' => 'Uruguay',
                    'is_visible' => 1,
                    'iso_alpha2' => 'UY',
                    'iso_alpha3' => 'UR',
                    'iso_numeric' => 0,
                    'currency_code' => 'UYU',
                    'currency_name' => 'Peso',
                    'currency_symbol' => '$U',
                    'flag' => 'uy.png',
                ),
                223 => array (
                    'id' => 224,
                    'name' => 'United States',
                    'is_visible' => 1,
                    'iso_alpha2' => 'US',
                    'iso_alpha3' => 'US',
                    'iso_numeric' => 0,
                    'currency_code' => 'USD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => '$',
                    'flag' => 'us.png',
                ),
                224 => array (
                    'id' => 225,
                    'name' => 'Uzbekistan',
                    'is_visible' => 1,
                    'iso_alpha2' => 'UZ',
                    'iso_alpha3' => 'UZ',
                    'iso_numeric' => 0,
                    'currency_code' => 'UZS',
                    'currency_name' => 'Som',
                    'currency_symbol' => 'лв',
                    'flag' => 'uz.png',
                ),
                227 => array (
                    'id' => 228,
                    'name' => 'Venezuela',
                    'is_visible' => 1,
                    'iso_alpha2' => 'VE',
                    'iso_alpha3' => 'VE',
                    'iso_numeric' => 0,
                    'currency_code' => 'VEF',
                    'currency_name' => 'Bolivar',
                    'currency_symbol' => 'Bs',
                    'flag' => 've.png',
                ),
                230 => array (
                    'id' => 231,
                    'name' => 'Vietnam',
                    'is_visible' => 1,
                    'iso_alpha2' => 'VN',
                    'iso_alpha3' => 'VN',
                    'iso_numeric' => 0,
                    'currency_code' => 'VND',
                    'currency_name' => 'Dong',
                    'currency_symbol' => '₫',
                    'flag' => 'vn.png',
                ),
                231 => array (
                    'id' => 232,
                    'name' => 'Vanuatu',
                    'is_visible' => 1,
                    'iso_alpha2' => 'VU',
                    'iso_alpha3' => 'VU',
                    'iso_numeric' => 0,
                    'currency_code' => 'VUV',
                    'currency_name' => 'Vatu',
                    'currency_symbol' => 'Vt',
                    'flag' => 'vu.png',
                ),
                232 => array (
                    'id' => 233,
                    'name' => 'Wallis and Futuna',
                    'is_visible' => 1,
                    'iso_alpha2' => 'WF',
                    'iso_alpha3' => 'WL',
                    'iso_numeric' => 0,
                    'currency_code' => 'XPF',
                    'currency_name' => 'Franc',
                    'currency_symbol' => '',
                    'flag' => 'wf.png',
                ),
                233 => array (
                    'id' => 234,
                    'name' => 'Samoa',
                    'is_visible' => 1,
                    'iso_alpha2' => 'WS',
                    'iso_alpha3' => 'WS',
                    'iso_numeric' => 0,
                    'currency_code' => 'WST',
                    'currency_name' => 'Tala',
                    'currency_symbol' => 'WS$',
                    'flag' => 'ws.png',
                ),
                234 => array (
                    'id' => 235,
                    'name' => 'Yemen',
                    'is_visible' => 1,
                    'iso_alpha2' => 'YE',
                    'iso_alpha3' => 'YE',
                    'iso_numeric' => 0,
                    'currency_code' => 'YER',
                    'currency_name' => 'Rial',
                    'currency_symbol' => '﷼',
                    'flag' => 'ye.png',
                ),
                236 => array (
                    'id' => 237,
                    'name' => 'South Africa',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ZA',
                    'iso_alpha3' => 'ZA',
                    'iso_numeric' => 0,
                    'currency_code' => 'ZAR',
                    'currency_name' => 'Rand',
                    'currency_symbol' => 'R',
                    'flag' => 'za.png',
                ),
                237 => array (
                    'id' => 238,
                    'name' => 'Zambia',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ZM',
                    'iso_alpha3' => 'ZM',
                    'iso_numeric' => 0,
                    'currency_code' => 'ZMK',
                    'currency_name' => 'Kwacha',
                    'currency_symbol' => 'ZK',
                    'flag' => 'zm.png',
                ),
                238 => array (
                    'id' => 239,
                    'name' => 'Zimbabwe',
                    'is_visible' => 1,
                    'iso_alpha2' => 'ZW',
                    'iso_alpha3' => 'ZW',
                    'iso_numeric' => 0,
                    'currency_code' => 'ZWD',
                    'currency_name' => 'Dollar',
                    'currency_symbol' => 'Z$',
                    'flag' => 'zw.png',
                ),

            )
        );
    }

}
