<?php $__env->startSection('page-title'); ?>
    <div class="row bg-title">
        <!-- .page title -->
        <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 bg-title-left">
            <h4 class="page-title"><i class="<?php echo e($pageIcon); ?>"></i> <?php echo e(__($pageTitle)); ?></h4>
        </div>
        <!-- /.page title -->
        <!-- .breadcrumb -->
        <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12 text-right bg-title-right">
            <a href="javascript:;"  class="btn btn-outline btn-info btn-sm pinnedItem"><?php echo app('translator')->get('app.pinnedTask'); ?> <i class="icon-pin icon-2"></i></a>
        <?php if($user->cans('add_tasks') || $global->task_self == 'yes'): ?>
                <a href="<?php echo e(route('member.all-tasks.create')); ?>" class="btn btn-outline btn-success btn-sm"><?php echo app('translator')->get('modules.tasks.newTask'); ?> <i class="fa fa-plus" aria-hidden="true"></i></a>
            <?php endif; ?>
            <ol class="breadcrumb">
                <li><a href="<?php echo e(route('member.dashboard')); ?>"><?php echo app('translator')->get('app.menu.home'); ?></a></li>
                <li class="active"><?php echo e(__($pageTitle)); ?></li>
            </ol>
        </div>
        <!-- /.breadcrumb -->
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('head-script'); ?>
<link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/bootstrap-select/bootstrap-select.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/custom-select/custom-select.css')); ?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/dataTables.bootstrap.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.1.1/css/responsive.bootstrap.min.css">
<link rel="stylesheet" href="//cdn.datatables.net/buttons/1.2.2/css/buttons.dataTables.min.css">
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('plugins/daterange-picker/daterangepicker.css')); ?>" />

<style>
    .swal-footer {
        text-align: center !important;
    }
    .filter-section::-webkit-scrollbar {
    display: block !important;
}
</style>
<?php $__env->stopPush(); ?>


<?php $__env->startSection('filter-section'); ?>
<div class="row">
    <?php echo Form::open(['id'=>'storePayments','class'=>'ajax-form','method'=>'POST']); ?>

    <div class="col-xs-12">
        <div class="example">
            <h5 class="box-title m-t-20"><?php echo app('translator')->get('app.selectDateRange'); ?></h5>
            <div class="form-group m-r-10 input-daterange" >
                <div id="reportrange" class="form-control reportrange m-t-25">
                    <i class="fa fa-calendar"></i>&nbsp;
                    <span></span> <i class="fa fa-caret-down pull-right"></i>
                </div>

                <input type="hidden" class="form-control" id="start-date" placeholder="<?php echo app('translator')->get('app.startDate'); ?>"
                       value="<?php echo e(\Carbon\Carbon::today()->subDays(15)->format($global->date_format)); ?>"/>
                <input type="hidden" class="form-control" id="end-date" placeholder="<?php echo app('translator')->get('app.endDate'); ?>"
                       value="<?php echo e(\Carbon\Carbon::today()->addDays(15)->format($global->date_format)); ?>"/>
            </div>
        </div>
    </div>
        <?php if(in_array('projects', $modules)): ?>
        <div class="col-xs-12">
            <h5 class="box-title"><?php echo app('translator')->get('app.selectProject'); ?></h5>
            <div class="form-group">
                <div class="row">
                    <div class="col-xs-12">
                        <select onchange="getMilestoneData(this.value)" class="select2 form-control" data-placeholder="<?php echo app('translator')->get('app.selectProject'); ?>" id="project_id">
                            <option value="all"><?php echo app('translator')->get('app.all'); ?></option>
                            <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option
                                        value="<?php echo e($project->id); ?>"><?php echo e(ucwords($project->project_name)); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="col-md-12">
        <div class="form-group">
            <h5 class="box-title"> <?php echo app('translator')->get('app.select'); ?> <?php echo app('translator')->get('app.milestone'); ?></h5>
            <select class="form-control select2" name="milestone" id="milestoneID" data-style="form-control">
                <option value="all"><?php echo app('translator')->get('app.selectProject'); ?></option>

            </select>
        </div>
    </div>
    <div class="col-xs-12">
        <h5 class="box-title"><?php echo app('translator')->get('app.select'); ?> <?php echo app('translator')->get('app.client'); ?></h5>
        <div class="form-group">
            <div class="row">
                <div class="col-xs-12">
                    <select class="select2 form-control" data-placeholder="<?php echo app('translator')->get('app.client'); ?>" id="clientID">
                        <option value="all"><?php echo app('translator')->get('app.all'); ?></option>
                        <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option
                                    value="<?php echo e($client->id); ?>"><?php echo e(ucwords($client->name)); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xs-12">
        <h5 class="box-title"><?php echo app('translator')->get('app.select'); ?> <?php echo app('translator')->get('modules.tasks.assignTo'); ?></h5>

        <div class="form-group">
            <div class="row">
                <div class="col-xs-12">
                    <select class="select2 form-control" data-placeholder="<?php echo app('translator')->get('modules.tasks.assignTo'); ?>" id="assignedTo">
                        <option value="all"><?php echo app('translator')->get('app.all'); ?></option>
                        <?php $__currentLoopData = $employees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option
                                    value="<?php echo e($employee->id); ?>"><?php echo e(ucwords($employee->name)); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xs-12">
        <h5 class="box-title"><?php echo app('translator')->get('app.select'); ?> <?php echo app('translator')->get('modules.tasks.assignBy'); ?></h5>

        <div class="form-group">
            <div class="row">
                <div class="col-xs-12">
                    <select class="select2 form-control" data-placeholder="<?php echo app('translator')->get('modules.tasks.assignBy'); ?>" id="assignedBY">
                        <option value="all"><?php echo app('translator')->get('app.all'); ?></option>
                        <?php $__currentLoopData = $employees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option
                                    value="<?php echo e($employee->id); ?>"><?php echo e(ucwords($employee->name)); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xs-12">
        <h5 class="box-title"><?php echo app('translator')->get('app.select'); ?> <?php echo app('translator')->get('app.status'); ?></h5>

        <div class="form-group">
            <div class="row">
                <div class="col-xs-12">
                    <select class="select2 form-control" data-placeholder="<?php echo app('translator')->get('status'); ?>" id="status">
                        <option value="all"><?php echo app('translator')->get('app.all'); ?></option>
                        <?php $__currentLoopData = $taskBoardStatus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($status->id); ?>"><?php echo e(ucwords($status->column_name)); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-12">
                <div class="form-group">
                    <h5 class="box-title"><?php echo app('translator')->get('app.billableTask'); ?></h5>
                    <select class="form-control select2" name="billable" id="billable" data-style="form-control">
                        <option value="all"><?php echo app('translator')->get('modules.client.all'); ?></option>
                        <option value="1"><?php echo app('translator')->get('app.yes'); ?></option>
                        <option value="0"><?php echo app('translator')->get('app.no'); ?></option>
                    </select>
                </div>
            </div>
    <div class="col-xs-12">

        <div class="checkbox checkbox-info">
            <input type="checkbox" id="hide-completed-tasks" checked>
            <label for="hide-completed-tasks"><?php echo app('translator')->get('app.hideCompletedTasks'); ?></label>
        </div>
    </div>

    <div class="col-xs-12">
        <div class="form-group">
            <button type="button" class="btn btn-success col-md-6" id="filter-results"><i class="fa fa-check"></i> <?php echo app('translator')->get('app.apply'); ?>
            </button>
            <button type="button" id="reset-filters" class="btn btn-inverse col-md-5 col-md-offset-1"><i class="fa fa-refresh"></i> <?php echo app('translator')->get('app.reset'); ?></button>
        </div>
    </div>
    <?php echo Form::close(); ?>


</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-xs-12">
            <div class="white-box">


                <div class="table-responsive">
                    <table class="table table-bordered table-hover toggle-circle default footable-loaded footable"
                           id="tasks-table">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th><?php echo app('translator')->get('app.task'); ?></th>
                            <?php if(in_array('projects', $modules)): ?>
                                <th><?php echo app('translator')->get('app.project'); ?></th>
                            <?php endif; ?>
                            <th><?php echo app('translator')->get('modules.tasks.assignTo'); ?></th>
                            <th><?php echo app('translator')->get('app.dueDate'); ?></th>
                            <th><?php echo app('translator')->get('app.status'); ?></th>
                            <th><?php echo app('translator')->get('app.action'); ?></th>
                        </tr>
                        </thead>
                    </table>
                </div>

            </div>
        </div>

    </div>
    <!-- .row -->

    
    <div class="modal fade bs-modal-md in" id="editTimeLogModal" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-lg" id="modal-data-application">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                    <span class="caption-subject font-red-sunglo bold uppercase" id="modelHeading"></span>
                </div>
                <div class="modal-body">
                    Loading...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn blue">Save changes</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    
    
    <div class="modal fade bs-modal-md in"  id="subTaskModal" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-md" id="modal-data-application">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                    <span class="caption-subject font-red-sunglo bold uppercase" id="subTaskModelHeading">Sub Task e</span>
                </div>
                <div class="modal-body">
                    Loading...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn blue">Save changes</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->.
    </div>
    

<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer-script'); ?>
<script src="<?php echo e(asset('plugins/bower_components/custom-select/custom-select.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/bootstrap-select/bootstrap-select.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/bower_components/datatables/jquery.dataTables.min.js')); ?>"></script>
<script src="https://cdn.datatables.net/1.10.13/js/dataTables.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.1.1/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.1.1/js/responsive.bootstrap.min.js"></script>

<script src="<?php echo e(asset('plugins/bower_components/bootstrap-daterangepicker/daterangepicker.js')); ?>"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="<?php echo e(asset('plugins/bower_components/moment/moment.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(asset('plugins/daterange-picker/daterangepicker.js')); ?>"></script>
<script>
    $(function() {
        var dateformat = '<?php echo e($global->moment_format); ?>';

        var startDate = '<?php echo e(\Carbon\Carbon::today()->subDays(15)->format($global->date_format)); ?>';
        var start = moment(startDate, dateformat);

        var endDate = '<?php echo e(\Carbon\Carbon::today()->addDays(15)->format($global->date_format)); ?>';
        var end = moment(endDate, dateformat);

        function cb(start, end) {
            $('#start-date').val(start.format(dateformat));
            $('#end-date').val(end.format(dateformat));
            $('#reportrange span').html(start.format(dateformat) + ' - ' + end.format(dateformat));
        }
        moment.locale('<?php echo e($global->locale); ?>');
        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,

            locale: {
                language: '<?php echo e($global->locale); ?>',
                format: '<?php echo e($global->moment_format); ?>',
            },
            ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                'Last 90 Days': [moment().subtract(89, 'days'), moment()],
                'Last 6 Month': [moment().subtract(6, 'months'), moment()],
                'Last 1 Year': [moment().subtract(1, 'years'), moment()]
            }
        }, cb);

        cb(start, end);

    });
    $(".select2").select2({
        formatNoMatches: function () {
            return "<?php echo e(__('messages.noRecordFound')); ?>";
        }
    });

    table = '';

    function showTable() {

        var startDate = $('#start-date').val();

        if (startDate == '') {
            startDate = null;
        }

        var endDate = $('#end-date').val();

        if (endDate == '') {
            endDate = null;
        }

        var projectID = $('#project_id').val();

        if (!projectID) {
            projectID = 'all';
        }
        var milestoneID = $('#milestoneID').val();

        if(milestoneID == null){
            var milestoneID  = 'all';

        }else{
        var milestoneID = $('#milestoneID').val();

        }
        var clientID = $('#clientID').val();
        var assignedBY = $('#assignedBY').val();
        var assignedTo = $('#assignedTo').val();
        var status = $('#status').val();
        var billable = $('#billable').val();

        if ($('#hide-completed-tasks').is(':checked')) {
            var hideCompleted = '1';
        } else {
            var hideCompleted = '0';
        }

        var url = '<?php echo route('member.all-tasks.data', [':hideCompleted', ':projectId']); ?>?clientID='+clientID +'&assignedBY='+ assignedBY+'&assignedTo='+ assignedTo+'&status='+ status+'&milestoneID='+milestoneID+'&billable='+billable+'&_token=<?php echo e(csrf_token()); ?>';

        // url = url.replace(':startDate', startDate);
        // url = url.replace(':endDate', endDate);
        url = url.replace(':hideCompleted', hideCompleted);
        url = url.replace(':projectId', projectID);

        table = $('#tasks-table').dataTable({
            destroy: true,
            responsive: true,
            processing: true,
            serverSide: true,
            ajax: {
                "url": url,
                "type": "POST",
                data: function (d) {
                    d.startDate = startDate;
                    d.endDate = endDate;
                    d._token = '<?php echo e(csrf_token()); ?>';
                }
            },
            deferRender: true,
            language: {
                "url": "<?php echo __("app.datatable") ?>"
            },
            "fnDrawCallback": function (oSettings) {
                $("body").tooltip({
                    selector: '[data-toggle="tooltip"]'
                });
            },
            "order": [[0, "desc"]],
            columns: [
                { data: 'DT_RowIndex', orderable: false, searchable: false, width: '5%' },
                {data: 'heading', name: 'heading', width: '20%'},
                <?php if(in_array('projects', $modules)): ?>
                    {data: 'project_name', name: 'projects.project_name', width: '18%'},
                <?php endif; ?>
                {data: 'name', name: 'users.name', width: '20%'},
                {data: 'due_date', name: 'due_date', width: '11%'},
                {data: 'board_column', name: 'board_column', searchable: false, width: '13%'},
                {data: 'action', name: 'action', "searchable": false, width: '10%'}
            ]
        });
    }

    $('#filter-results').click(function () {
        showTable();
    });

    $('#reset-filters').click(function () {
        $('#storePayments')[0].reset();
        $('#status').val('all');
        $('.select2').val('all');
        $('#storePayments').find('select').select2();
        $('#filter-results').trigger("click");
        $('#start-date').val('<?php echo e(\Carbon\Carbon::today()->subDays(15)->format($global->date_format)); ?>');
        $('#end-date').val('<?php echo e(\Carbon\Carbon::today()->addDays(15)->format($global->date_format)); ?>');
        $('#reportrange span').html('<?php echo e(\Carbon\Carbon::today()->subDays(15)->format($global->date_format)); ?>' + ' - ' + '<?php echo e(\Carbon\Carbon::today()->addDays(15)->format($global->date_format)); ?>');
    })

    $('body').on('click', '.sa-params', function () {
        var id = $(this).data('task-id');
        var recurring = $(this).data('recurring');

        var buttons = {
            cancel: "<?php echo app('translator')->get('messages.confirmNoArchive'); ?>",
            confirm: {
                text: "<?php echo app('translator')->get('messages.deleteConfirmation'); ?>",
                value: 'confirm',
                visible: true,
                className: "danger",
            }
        };

        if(recurring == 'yes')
        {
            buttons.recurring = {
                text: "<?php echo e(trans('modules.tasks.deleteRecurringTasks')); ?>",
                value: 'recurring'
            }
        }

        swal({
            title: "<?php echo app('translator')->get('messages.sweetAlertTitle'); ?>",
            text: "<?php echo app('translator')->get('messages.confirmation.recoverDeletedTask'); ?>",
            dangerMode: true,
            icon: 'warning',
            buttons: buttons
        }).then(function (isConfirm) {
            if (isConfirm == 'confirm' || isConfirm == 'recurring') {

                var url = "<?php echo e(route('member.all-tasks.destroy',':id')); ?>";
                url = url.replace(':id', id);

                var token = "<?php echo e(csrf_token()); ?>";
                var dataObject = {'_token': token, '_method': 'DELETE'};

                if(isConfirm == 'recurring')
                {
                    dataObject.recurring = 'yes';
                }

                $.easyAjax({
                    type: 'POST',
                    url: url,
                    data: dataObject,
                    success: function (response) {
                        if (response.status == "success") {
                            $.unblockUI();
                            table._fnDraw();
                        }
                    }
                });
            }
        });
    });

    $('#tasks-table').on('click', '.show-task-detail', function () {
        $(".right-sidebar").slideDown(50).addClass("shw-rside");

        var id = $(this).data('task-id');
        var url = "<?php echo e(route('member.all-tasks.show',':id')); ?>";
        url = url.replace(':id', id);

        $.easyAjax({
            type: 'GET',
            url: url,
            success: function (response) {
                if (response.status == "success") {
                    $('#right-sidebar-content').html(response.view);
                }
            }
        });
    })

    $('#tasks-table').on('click', '.change-status', function () {
        var url = "<?php echo e(route('member.tasks.changeStatus')); ?>";
        var token = "<?php echo e(csrf_token()); ?>";
        var id =  $(this).data('task-id');
        var status =  $(this).data('status');

        $.easyAjax({
            url: url,
            type: "POST",
            data: {'_token': token, taskId: id, status: status, sortBy: 'id'},
            success: function (data) {
                if (data.status == "success") {
                    table._fnDraw();
                }
            }
        })
    })

    $(document).ready(function(){
        showTable();
    });


    $('.pinnedItem').click(function(){
        var url = '<?php echo e(route('member.all-tasks.pinned-task')); ?>';
        $('#modelHeading').html('Pinned Task');
        $.ajaxModal('#editTimeLogModal',url);
    })
    $('#milestoneID').html("");
        function getMilestoneData(project_id){
                var url = "<?php echo e(route('member.taskboard.getMilestone', ':project_id')); ?>";
                var token = "<?php echo e(csrf_token()); ?>";
                $.easyAjax({
                url: url,
                type: "POST",
                data: {'_token': token, project_id: project_id},
                success: function (data) {
                    var options = [];
                            var rData = [];
                            rData = data.milestones;
                            var selectData = '';
                        
                            if(rData.length == 0){
                                selectData +='<option value="all"><?php echo app('translator')->get('app.selectProject'); ?></option>';
                            }
                            else{
                                selectData +='<option value="all"><?php echo app('translator')->get('app.selectMilestone'); ?></option>';
                            }
                            $.each(rData, function( index, value ) {
                                selectData += '<option value="'+value.id+'">'+value.milestone_title+'</option>';
                            });
                            $('#milestoneID').html(selectData);
                            $('#milestoneID').select2();

                }
            })
            }
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.member-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/virtuals/public_html/adm/resources/views/member/all-tasks/index.blade.php ENDPATH**/ ?>