<?php $__env->startSection('page-title'); ?>
    <div class="row bg-title">
        <!-- .page title -->
        <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 bg-title-left">
            <h4 class="page-title"><i class="<?php echo e($pageIcon); ?>"></i> <?php echo e(__($pageTitle)); ?></h4>
        </div>
        <!-- /.page title -->
        <!-- .breadcrumb -->
        <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12 bg-title-right">
            <ol class="breadcrumb">
                <li><a href="<?php echo e(route('admin.dashboard')); ?>"><?php echo app('translator')->get('app.menu.home'); ?></a></li>
                <li><a href="<?php echo e(route('admin.all-tasks.index')); ?>"><?php echo e(__($pageTitle)); ?></a></li>
                <li class="active"><?php echo app('translator')->get('app.addNew'); ?></li>
            </ol>
        </div>
        <!-- /.breadcrumb -->
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('head-script'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/bootstrap-select/bootstrap-select.min.css')); ?>">
    <link rel="stylesheet"
          href="<?php echo e(asset('plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/bootstrap-tagsinput/dist/bootstrap-tagsinput.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/custom-select/custom-select.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/summernote/dist/summernote.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugins/bower_components/dropzone-master/dist/dropzone.css')); ?>">

    <style>
        .panel-black .panel-heading a, .panel-inverse .panel-heading a {
            color: unset !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-xs-12">

            <div class="panel panel-inverse">
                <div class="panel-heading"> <?php echo app('translator')->get('modules.tasks.newTask'); ?></div>
                <div class="panel-wrapper collapse in" aria-expanded="true">
                    <div class="panel-body">
                        <?php echo Form::open(['id'=>'storeTask','class'=>'ajax-form','method'=>'POST']); ?>


                        <div class="form-body">
                            <div class="row">
                                <div class="col-xs-12">
                                    <input type ="hidden" name ="task_request_id" id="task_request_id" value= <?php echo e($taskRequests->id ?? ''); ?>>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label required"><?php echo app('translator')->get('app.title'); ?></label>
                                            <input type="text" id="heading" value="<?php echo e($taskRequests->heading ?? ''); ?>" name="title" class="form-control">
                                        </div>
                                    </div>
                                    <?php if(in_array('projects', $modules)): ?>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label"><?php echo app('translator')->get('app.project'); ?></label>
                                                <select class="select2 form-control"
                                                        data-placeholder="<?php echo app('translator')->get("app.selectProject"); ?>" id="project_id"
                                                        name="project_id">
                                                    <option value="">--</option>
                                                    <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(isset($taskRequests)): ?>
                                                        <option <?php if($project->id == $taskRequests->project_id): ?> selected <?php endif; ?>
                                                                value="<?php echo e($project->id); ?>"><?php echo e(ucwords($project->project_name)); ?></option>
                                                                <?php else: ?>
                                                            <option
                                                                    value="<?php echo e($project->id); ?>"><?php echo e(ucwords($project->project_name)); ?></option>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label"><?php echo app('translator')->get('modules.tasks.taskCategory'); ?> <a
                                                        href="javascript:;"
                                                        id="createTaskCategory"
                                                        class="btn btn-xs btn-outline btn-success"><i
                                                            class="fa fa-plus"></i> <?php echo app('translator')->get('modules.taskCategory.addTaskCategory'); ?>
                                                </a>
                                            </label>
                                            <select class="select2 form-control" name="category_id"
                                                    id="category_id"
                                                    data-style="form-control">
                                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if(isset($taskRequests)): ?>
                                                            <option value="<?php echo e($category->id); ?>" <?php if($taskRequests->task_category_id == $category->id): ?> selected <?php endif; ?>
                                                                ><?php echo e(ucwords($category->category_name)); ?></option>
                                                            <?php else: ?>
                                                            <option value="<?php echo e($category->id); ?>"><?php echo e(ucwords($category->category_name)); ?></option>
                                                         <?php endif; ?>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>

                                </div>
                                <div class="row">
                                    <!--/span-->
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <label class="control-label"><?php echo app('translator')->get('app.description'); ?></label>
                                            <textarea id="description" name="description" <?php echo e($taskRequests->description ?? ''); ?>

                                                      class="form-control summernote"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="form-group">

                                            <div class="checkbox checkbox-info">
                                                <input id="dependent-task" name="dependent" value="yes"
                                                       type="checkbox" <?php if(isset($taskRequests)): ?> 
                                                       <?php if($taskRequests->dependent_task_id != ''): ?> checked <?php endif; ?>
                                                        <?php endif; ?>>
                                                <label for="dependent-task"><?php echo app('translator')->get('modules.tasks.dependent'); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row" id="dependent-fields" <?php if(isset($taskRequests)): ?> <?php if($taskRequests->dependent_task_id == null): ?>style="display: none"  <?php endif; ?> <?php else: ?> style="display: none"  <?php endif; ?>>
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <label class="control-label"><?php echo app('translator')->get('modules.tasks.dependentTask'); ?></label>
                                            <select class="select2 form-control"
                                                    data-placeholder="<?php echo app('translator')->get('modules.tasks.chooseTask'); ?>"
                                                    name="dependent_task_id" id="dependent_task_id">
                                                <option value="">--</option>
                                                <?php $__currentLoopData = $allTasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $allTask): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($allTask->id); ?>" <?php if(isset($taskRequests)): ?>  <?php if($allTask->id == $taskRequests->dependent_task_id): ?> selected <?php endif; ?> <?php endif; ?>><?php echo e($allTask->heading); ?>

                                                        (<?php echo app('translator')->get('app.dueDate'); ?>: <?php echo e(($allTask->due_date) ?$allTask->due_date->format($global->date_format):''); ?>

                                                        )
                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <label class="control-label"><?php echo app('translator')->get('app.label'); ?>
                                                <a href="javascript:;"
                                                   id="createTaskLabel"
                                                   class="btn btn-xs btn-outline btn-success">
                                                    <i class="fa fa-plus"></i> <?php echo app('translator')->get('app.add'); ?> <?php echo app('translator')->get('app.menu.taskLabel'); ?>
                                                </a>
                                            </label>
                                            <select id="multiselect" name="task_labels[]"  multiple="multiple" class="selectpicker form-control newclass">
                                                <?php $__currentLoopData = $taskLabels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $label): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option id data-content="<label class='badge b-all' style='background:<?php echo e($label->label_color); ?>;'><?php echo e($label->label_name); ?></label> " value="<?php echo e($label->id); ?>"><?php echo e($label->label_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <!--/span-->
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label required"><?php echo app('translator')->get('app.startDate'); ?></label>
                                            <input type="text" name="start_date" id="start_date2" class="form-control"
                                            value="<?php if(isset($taskRequests)): ?> <?php echo e($taskRequests->start_date->format($global->date_format)); ?> <?php else: ?> <?php echo e(\Carbon\Carbon::now($global->timezone)->format($global->date_format)); ?> <?php endif; ?>"
                                                   autocomplete="off">
                                        </div>
                                    </div>
                                    <!--/span-->

                                    <!--/span-->
                                    <div class="col-md-4" id="duedateBox">
                                        <div class="form-group">
                                            <label class="control-label required"><?php echo app('translator')->get('app.dueDate'); ?></label>
                                            <input type="text" name="due_date" id="due_date2" class="form-control"
                                            value="<?php if(isset($taskRequests)): ?> <?php if($taskRequests->due_date != ''): ?><?php echo e($taskRequests->due_date->format($global->date_format)); ?> <?php endif; ?> <?php else: ?><?php echo e(''); ?> <?php endif; ?>"  autocomplete="off">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group" style="padding-top: 25px;">
                                            <div class="checkbox checkbox-info">
                                                <input id="without_duedate" <?php if(isset($taskRequests)): ?> <?php if($taskRequests->due_date == null): ?> checked <?php endif; ?> <?php endif; ?> name="without_duedate" value="true"
                                                       type="checkbox">
                                                <label for="without_duedate" ><?php echo app('translator')->get('modules.tasks.withoutDuedate'); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                    <!--/span-->
                                   
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label required"><?php echo app('translator')->get('modules.tasks.assignTo'); ?></label>
                                            <a href="javascript:;" id="add-employee" class="btn btn-xs btn-success btn-outline"><i class="fa fa-plus"></i></a>
                                            <select class="select2 select2-multiple " multiple="multiple"
                                                    data-placeholder="<?php echo app('translator')->get('modules.tasks.chooseAssignee'); ?>"
                                                    name="user_id[]" id="user_id">
                                                <option value="">--</option>
                                                <?php $__currentLoopData = $employees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($employee->id); ?>"><?php echo e(ucwords($employee->name)); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">

                                            <div class="checkbox checkbox-info">
                                                <input id="private-task" name="is_private" value="true"
                                                <?php if(isset($taskRequests)): ?>
                                                <?php if($taskRequests->is_private): ?>
                                                  checked
                                                <?php endif; ?>
                                                <?php endif; ?>
                                                       type="checkbox">
                                                <label for="private-task"><?php echo app('translator')->get('modules.tasks.makePrivate'); ?> <a
                                                            class="mytooltip font-12" href="javascript:void(0)"> <i
                                                                class="fa fa-info-circle"></i><span
                                                                class="tooltip-content5"><span
                                                                    class="tooltip-text3"><span
                                                                        class="tooltip-inner2"><?php echo app('translator')->get('modules.tasks.privateInfo'); ?></span></span></span></a></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group">

                                            <div class="checkbox checkbox-info">
                                                <input id="billable-task" checked name="billable" value="true" type="checkbox">
                                                <label for="billable-task"><?php echo app('translator')->get('modules.tasks.billable'); ?>
                                                    <a class="mytooltip font-12" href="javascript:void(0)">
                                                        <i class="fa fa-info-circle"></i>
                                                        <span class="tooltip-content5">
                                                            <span class="tooltip-text3">
                                                                <span class="tooltip-inner2"><?php echo app('translator')->get('modules.tasks.billableInfo'); ?></span>
                                                            </span>
                                                        </span>
                                                    </a>
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <div class="checkbox checkbox-info">
                                                <input id="set-time-estimate" name="set_time_estimate" value="true" type="checkbox">
                                                <label for="set-time-estimate"><?php echo app('translator')->get('modules.tasks.setTimeEstimate'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="set-time-estimate-fields" style="display: none">
                                        <div class="col-md-4">
                                            <div class="form-group">

                                                <input type="number" min="0" value="0" class="w-50 p-5 p-10" name="estimate_hours" > <?php echo app('translator')->get('app.hrs'); ?>
                                                &nbsp;&nbsp;
                                                <input type="number" min="0" value="0" name="estimate_minutes" class="w-50 p-5 p-10"> <?php echo app('translator')->get('app.mins'); ?>
                                            </div>
                                        </div>

                                    </div>

                                </div>
                                <div class="row">

                                    <div class="col-md-3">
                                        <div class="form-group">

                                            <div class="checkbox checkbox-info">
                                                <input id="repeat-task" name="repeat" value="yes"
                                                       type="checkbox">
                                                <label for="repeat-task"><?php echo app('translator')->get('modules.events.repeat'); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div  id="repeat-fields" style="display: none">
                                        <div class="col-md-3 ">
                                            <div class="form-group">
                                                <label><?php echo app('translator')->get('modules.events.repeatEvery'); ?></label>
                                                <input type="number" min="1" value="1" name="repeat_count"
                                                       class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label>&nbsp;</label>
                                                <select name="repeat_type" id="" class="form-control">
                                                    <option value="day"><?php echo app('translator')->get('app.day'); ?></option>
                                                    <option value="week"><?php echo app('translator')->get('app.week'); ?></option>
                                                    <option value="month"><?php echo app('translator')->get('app.month'); ?></option>
                                                    <option value="year"><?php echo app('translator')->get('app.year'); ?></option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label><?php echo app('translator')->get('modules.events.cycles'); ?> <a class="mytooltip"
                                                                                         href="javascript:void(0)"> <i
                                                                class="fa fa-info-circle"></i><span
                                                                class="tooltip-content5"><span
                                                                    class="tooltip-text3"><span
                                                                        class="tooltip-inner2"><?php echo app('translator')->get('modules.tasks.cyclesToolTip'); ?></span></span></span></a></label>
                                                <input type="number" name="repeat_cycles" id="repeat_cycles"
                                                       class="form-control">
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <?php if(sizeof($fields) > 0): ?>
                                    <h3 class="box-title"><?php echo app('translator')->get('modules.projects.otherInfo'); ?></h3>
                                        <div class="row">
                                            <?php $__currentLoopData = $fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $field): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="col-md-3">
                                                    <label><?php echo e(ucfirst($field->label)); ?></label>
                                                    <div class="form-group">
                                                        <?php if( $field->type == 'text'): ?>
                                                            <input type="text" name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]" class="form-control" placeholder="<?php echo e($field->label); ?>" value="<?php echo e($editUser->custom_fields_data['field_'.$field->id] ?? ''); ?>">
                                                        <?php elseif($field->type == 'password'): ?>
                                                            <input type="password" name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]" class="form-control" placeholder="<?php echo e($field->label); ?>" value="<?php echo e($editUser->custom_fields_data['field_'.$field->id] ?? ''); ?>">
                                                        <?php elseif($field->type == 'number'): ?>
                                                            <input type="number" name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]" class="form-control" placeholder="<?php echo e($field->label); ?>" value="<?php echo e($editUser->custom_fields_data['field_'.$field->id] ?? ''); ?>">

                                                        <?php elseif($field->type == 'textarea'): ?>
                                                            <textarea name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]" class="form-control" id="<?php echo e($field->name); ?>" cols="3"><?php echo e($editUser->custom_fields_data['field_'.$field->id] ?? ''); ?></textarea>

                                                        <?php elseif($field->type == 'radio'): ?>
                                                            <div class="radio-list">
                                                                <?php $__currentLoopData = $field->values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <label class="radio-inline <?php if($key == 0): ?> p-0 <?php endif; ?>">
                                                                        <div class="radio radio-info">
                                                                            <input type="radio" name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]" id="optionsRadios<?php echo e($key.$field->id); ?>" value="<?php echo e($value); ?>" <?php if(isset($editUser) && $editUser->custom_fields_data['field_'.$field->id] == $value): ?> checked <?php elseif($key==0): ?> checked <?php endif; ?>>>
                                                                            <label for="optionsRadios<?php echo e($key.$field->id); ?>"><?php echo e($value); ?></label>
                                                                        </div>
                                                                    </label>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </div>
                                                        <?php elseif($field->type == 'select'): ?>
                                                            <?php echo Form::select('custom_fields_data['.$field->name.'_'.$field->id.']',
                                                                    $field->values,
                                                                    isset($editUser)?$editUser->custom_fields_data['field_'.$field->id]:'',['class' => 'form-control gender']); ?>


                                                        <?php elseif($field->type == 'checkbox'): ?>
                                                        <div class="mt-checkbox-inline custom-checkbox checkbox-<?php echo e($field->id); ?>">
                                                            <input type="hidden" name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]" 
                                                            id="<?php echo e($field->name.'_'.$field->id); ?>" value=" ">
                                                            <?php $__currentLoopData = $field->values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <label class="mt-checkbox mt-checkbox-outline">
                                                                    <input name="<?php echo e($field->name.'_'.$field->id); ?>[]"
                                                                           type="checkbox" onchange="checkboxChange('checkbox-<?php echo e($field->id); ?>', '<?php echo e($field->name.'_'.$field->id); ?>')" value="<?php echo e($value); ?>"> <?php echo e($value); ?>

                                                                    <span></span>
                                                                </label>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </div>
                                                        <?php elseif($field->type == 'date'): ?>
                                                            <input type="text" class="form-control date-picker" size="16" name="custom_fields_data[<?php echo e($field->name.'_'.$field->id); ?>]"
                                                                value="<?php echo e(isset($editUser->dob)?Carbon\Carbon::parse($editUser->dob)->format('Y-m-d'):Carbon\Carbon::now()->format($global->date_format)); ?>">
                                                        <?php endif; ?>
                                                        <div class="form-control-focus"> </div>
                                                        <span class="help-block"></span>

                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </div>
                                    <?php endif; ?>

                                <!--/span-->
                                <div class="col-xs-12">
                                    <div class="form-group">
                                        <label class="control-label"><?php echo app('translator')->get('modules.tasks.priority'); ?></label>

                                        <div class="radio radio-danger">
                                            <input type="radio" name="priority" id="radio13"
                                                   value="high">
                                            <label for="radio13" class="text-danger">
                                                <?php echo app('translator')->get('modules.tasks.high'); ?> </label>
                                        </div>
                                        <div class="radio radio-warning">
                                            <input type="radio" name="priority"
                                                   id="radio14" checked value="medium">
                                            <label for="radio14" class="text-warning">
                                                <?php echo app('translator')->get('modules.tasks.medium'); ?> </label>
                                        </div>
                                        <div class="radio radio-success">
                                            <input type="radio" name="priority" id="radio15"
                                                   value="low">
                                            <label for="radio15" class="text-success">
                                                <?php echo app('translator')->get('modules.tasks.low'); ?> </label>
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="row m-b-20">
                                    <div class="col-xs-12">
                                        <?php if($upload): ?>
                                            <button type="button"
                                                    class="btn btn-block btn-outline-info btn-sm col-md-2 select-image-button"
                                                    style="margin-bottom: 10px;display: none "><i class="fa fa-upload"></i>
                                                File Select Or Upload
                                            </button>
                                            <div id="file-upload-box">
                                                <div class="row" id="file-dropzone">
                                                    <div class="col-xs-12">
                                                        <div class="dropzone"
                                                             id="file-upload-dropzone">
                                                            <?php echo e(csrf_field()); ?>

                                                            <div class="fallback">
                                                                <input name="file" type="file" multiple/>
                                                            </div>
                                                            <input name="image_url" id="image_url" type="hidden"/>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <input type="hidden" name="taskID" id="taskID">
                                        <?php else: ?>
                                            <div class="alert alert-danger"><?php echo app('translator')->get('messages.storageLimitExceed', ['here' => '<a href='.route('admin.billing.packages'). '>Here</a>']); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <?php if(isset($taskRequests)): ?>
                                <div class="row" id="list">
                                    <ul class="list-group" id="files-list">
                                        <?php $__empty_1 = true; $__currentLoopData = $taskRequests->files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $file): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <li class="list-group-item">
                                                <div class="row">
                                                    <div class="col-md-9">
                                                        <?php echo e($file->filename); ?>

                                                    </div>
                                                    <div class="col-md-3">
                                                            <a target="_blank" href="<?php echo e($file->file_url); ?>"
                                                               data-toggle="tooltip" data-original-title="View"
                                                               class="btn btn-info btn-circle"><i
                                                                        class="fa fa-search"></i></a>
                                                        <?php if(is_null($file->external_link)): ?>
                                                            &nbsp;&nbsp;
                                                            <a href="<?php echo e(route('admin.task-request.download', $file->id)); ?>"
                                                               data-toggle="tooltip" data-original-title="Download"
                                                               class="btn btn-inverse btn-circle"><i
                                                                        class="fa fa-download"></i></a>
                                                        <?php endif; ?>
                                                        &nbsp;&nbsp;
                                                        <a href="javascript:;" data-toggle="tooltip"
                                                           data-original-title="Delete"
                                                           data-file-id="<?php echo e($file->id); ?>"
                                                           class="btn btn-danger btn-circle sa-params .file-delete" data-pk="list"><i
                                                                    class="fa fa-times"></i></a>
    
                                                        <span class="m-l-10"><?php echo e($file->created_at->diffForHumans()); ?></span>
                                                    </div>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <li class="list-group-item">
                                                <div class="row">
                                                    <div class="col-md-10">
                                                        <?php echo app('translator')->get('messages.noFileUploaded'); ?>
                                                    </div>
                                                </div>
                                            </li>
                                        <?php endif; ?>
    
                                    </ul>
                                </div>
                                <?php endif; ?>
                            </div>

                            </div>
                            <!--/row-->

                        </div>
                        <div class="form-actions">
                            <button type="button" id="store-task" class="btn btn-success"><i
                                        class="fa fa-check"></i> <?php echo app('translator')->get('app.save'); ?></button>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>    <!-- .row -->

    
    <div class="modal fade bs-modal-md in" id="taskCategoryModal" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-md" id="modal-data-application">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                    <span class="caption-subject font-red-sunglo bold uppercase" id="modelHeading"></span>
                </div>
                <div class="modal-body">
                    Loading...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn blue">Save changes</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->.
    </div>
    
    <div class="modal fade bs-modal-lg in" id="taskLabelModal" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" id="modal-data-application">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                    <span class="caption-subject font-red-sunglo bold uppercase" id="modelHeading"></span>
                </div>
                <div class="modal-body">
                    Loading...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn blue">Save changes</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->.
    </div>
    


<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer-script'); ?>
    <script src="<?php echo e(asset('plugins/bower_components/custom-select/custom-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/bower_components/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/bower_components/bootstrap-select/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/bower_components/summernote/dist/summernote.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/bower_components/dropzone-master/dist/dropzone.js')); ?>"></script>
    <script>
         $('body').on('click', '.sa-params', function () {
        var id = $(this).data('file-id');
        var deleteView = $(this).data('pk');
        swal({
            title: "<?php echo app('translator')->get('messages.sweetAlertTitle'); ?>",
            text: "<?php echo app('translator')->get('messages.confirmation.deleteFile'); ?>",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "<?php echo app('translator')->get('messages.deleteConfirmation'); ?>",
            cancelButtonText: "<?php echo app('translator')->get('messages.confirmNoArchive'); ?>",
            closeOnConfirm: true,
            closeOnCancel: true
        }, function (isConfirm) {
            if (isConfirm) {
                var url = "<?php echo e(route('admin.task-request.delete-file', ':id')); ?>";
                url = url.replace(':id', id);
                var token = "<?php echo e(csrf_token()); ?>";

                $.easyAjax({
                    type: 'POST',
                    url: url,
                    data: {'_token': token, '_method': 'DELETE', 'view': deleteView},
                    success: function (response) {
                        console.log(response);
                        if (response.status == "success") {
                            $('#task-file-'+id).remove();

                            //$.unblockUI();
                            $('#list ul.list-group').html(response.html);

                        }
                    }
                });
            }
        });
    });
        function checkboxChange(parentClass, id){
            var checkedData = '';
            $('.'+parentClass).find("input[type= 'checkbox']:checked").each(function () {
                if(checkedData !== ''){
                    checkedData = checkedData+', '+$(this).val();
                }
                else{
                    checkedData = $(this).val();
                }
            });
            $('#'+id).val(checkedData);
        }

        $('#multiselect').selectpicker();
        <?php if($upload): ?>
            Dropzone.autoDiscover = false;
            //Dropzone class
            myDropzone = new Dropzone("div#file-upload-dropzone", {
                url: "<?php echo e(route('admin.task-files.store')); ?>",
                headers: {'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'},
                paramName: "file",
                maxFilesize: 10,
                maxFiles: 10,
                acceptedFiles: "image/*,application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/docx,application/pdf,text/plain,application/msword,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
                autoProcessQueue: false,
                uploadMultiple: true,
                addRemoveLinks: true,
                parallelUploads: 10,
                dictDefaultMessage: "<?php echo app('translator')->get('modules.projects.dropFile'); ?>",
                init: function () {
                    myDropzone = this;
                    this.on("success", function (file, response) {
                        if(response.status == 'fail') {
                            $.showToastr(response.message, 'error');
                            return;
                        }
                    })
                }
            });

            myDropzone.on('sending', function (file, xhr, formData) {
                console.log(myDropzone.getAddedFiles().length, 'sending');
                var ids = $('#taskID').val();
                var task_request_id = $('#task_request_id').val();
                formData.append('task_id', ids);
                formData.append('task_request_id', task_request_id);
            });

            myDropzone.on('completemultiple', function () {
            var msgs = "<?php echo app('translator')->get('messages.taskCreatedSuccessfully'); ?>";
            $.showToastr(msgs, 'success');
            window.location.href = '<?php echo e(route('admin.all-tasks.index')); ?>'

        });
        <?php endif; ?>
        $('.summernote').summernote({
            height: 200,                 // set editor height
            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            focus: false,
            toolbar: [
                // [groupName, [list of button]]
                ['style', ['bold', 'italic', 'underline', 'clear']],
                ['font', ['strikethrough']],
                ['fontsize', ['fontsize']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['insert', ['link']],
                ["view", ["fullscreen"]]
            ]
        });

        //    update task
        $('#store-task').click(function () {
            $.easyAjax({
                url: '<?php echo e(route('admin.all-tasks.store')); ?>',
                container: '#storeTask',
                type: "POST",
                data: $('#storeTask').serialize(),
                success: function (data) {
                    $('#storeTask').trigger("reset");
                    $('.summernote').summernote('code', '');
                    var dropzone = 0;
                    <?php if($upload): ?>
                        dropzone = myDropzone.getQueuedFiles().length;
                    <?php endif; ?>

                    if(dropzone > 0){
                        taskID = data.taskID;
                        $('#taskID').val(data.taskID);
                        myDropzone.processQueue();
                    } else {
                        var msgs = "<?php echo app('translator')->get('messages.taskCreatedSuccessfully'); ?>";
                        $.showToastr(msgs, 'success');
                       window.location.href = '<?php echo e(route('admin.all-tasks.index')); ?>'
                    }
                }
            })
        });
        $('#without_duedate').click(function () {
            var check = $('#without_duedate').is(":checked") ? true : false;
            if(check == true){
                $('#duedateBox').hide();
                $('#due_date2').val('');
            }
            else{
            $('#duedateBox').show();
            }
        });
        $("#due_date2").datepicker({
            autoclose: true,
            weekStart:'<?php echo e($global->week_start); ?>',
            format: '<?php echo e($global->date_picker_format); ?>',
        });
        <?php if(isset($taskRequests)): ?>
            <?php if($taskRequests->due_date == null): ?>
                 $('#duedateBox').hide();
            <?php endif; ?>
        <?php endif; ?>
        var minDate = new Date();
        // $('#due_date2').datepicker("update", minDate);
        $('#due_date2').datepicker('setStartDate', minDate);

        jQuery('#start_date2').datepicker({
            autoclose: true,
            todayHighlight: true,
            weekStart: '<?php echo e($global->week_start); ?>',
            format: '<?php echo e($global->date_picker_format); ?>',
        }).on('changeDate', function (selected) {
            var minDate = new Date(selected.date.valueOf());
            $('#due_date2').datepicker('setStartDate', minDate);
        });

        $(".select2").select2({
            formatNoMatches: function () {
                return "<?php echo e(__('messages.noRecordFound')); ?>";
            }
        });

        $('#project_id').change(function () {
            var id = $(this).val();
            var url = '<?php echo e(route('admin.all-tasks.members', ':id')); ?>';
            url = url.replace(':id', id);

            $.easyAjax({
                url: url,
                type: "GET",
                redirect: true,
                success: function (data) {
                    $('#user_id').html(data.html);
                }
            })

            // For getting dependent task
            var dependentTaskUrl = '<?php echo e(route('admin.all-tasks.dependent-tasks', ':id')); ?>';
            dependentTaskUrl = dependentTaskUrl.replace(':id', id);
            $.easyAjax({
                url: dependentTaskUrl,
                type: "GET",
                success: function (data) {
                    $('#dependent_task_id').html(data.html);
                }
            })
        });

        $('#repeat-task').change(function () {
            if ($(this).is(':checked')) {
                $('#repeat-fields').show();
            } else {
                $('#repeat-fields').hide();
            }
        })

        $('#dependent-task').change(function () {
            if ($(this).is(':checked')) {
                $('#dependent-fields').show();
            } else {
                $('#dependent-fields').hide();
            }
        })

        $('#set-time-estimate').change(function () {
        if($(this).is(':checked')){
            $('#set-time-estimate-fields').show();
        }
        else{
            $('#set-time-estimate-fields').hide();
        }
    })
    </script>
    <script>
        $('#createTaskCategory').click(function () {
            var url = '<?php echo e(route('admin.taskCategory.create-cat')); ?>';
            $('#modelHeading').html("<?php echo app('translator')->get('modules.taskCategory.manageTaskCategory'); ?>");
            $.ajaxModal('#taskCategoryModal', url);
        })
        $('#createTaskLabel').click(function(){
            var url = '<?php echo e(route('admin.task-label.create-label')); ?>';
            $('#modelHeading').html("");
            $.ajaxModal('#taskLabelModal', url);
        })

        $('#add-employee').click(function () {
            var url = '<?php echo e(route('admin.employees.create')); ?>';
            $('#modelHeading').html("<?php echo app('translator')->get('app.add'); ?> <?php echo app('translator')->get('app.employee'); ?>");
            $.ajaxModal('#projectTimerModal', url);
        });

    </script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/virtuals/public_html/adm/resources/views/admin/tasks/create.blade.php ENDPATH**/ ?>