<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">


    <title> <?php echo e(__($pageTitle)); ?> | <?php echo e(ucwords($setting->company_name)); ?></title>
    <!-- Favicons -->
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e($global->favicon_url); ?>">
    
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="<?php echo e($global->favicon_url); ?>">
    <meta name="theme-color" content="#ffffff">
    <!-- Bootstrap CSS -->
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/vendor/bootstrap/css/bootstrap.min.css')); ?>">
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/vendor/animate-css/animate.min.css')); ?>">
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/vendor/slick/slick.css')); ?>">
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/vendor/slick/slick-theme.css')); ?>">
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/fonts/flaticon/flaticon.css')); ?>">
    <link href="<?php echo e(asset('front/plugin/froiden-helper/helper.css')); ?>" rel="stylesheet">
    <!-- Template CSS -->
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/css/main.css')); ?>">
    <!-- Template Font Family  -->
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;600;700&family=Rubik:wght@400;500&display=swap" rel="stylesheet">
    <link type="text/css" rel="stylesheet" media="all"
          href="<?php echo e(asset('saas/vendor/material-design-iconic-font/css/material-design-iconic-font.min.css')); ?>">

    <script src="https://www.google.com/recaptcha/api.js"></script>
    <style>
        :root {
            --main-color: <?php echo e($frontDetail->primary_color); ?>;
        }
        .help-block {
            color: #8a1f11 !important;
        }
        .register-message  {
            margin-top: 50px !important;
             margin-bottom: 50px;
        }

    </style>
</head>

<body id="home">


<!-- Topbar -->
<?php echo $__env->make('sections.saas.saas_header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- END Topbar -->

<!-- Header -->
<!-- END Header -->


<section class="sp-100 login-section" id="section-contact">
    <div class="container">
        <?php if($registrationStatus->registration_open == 1 && $global->enable_register == true): ?>
        <div class="login-box mt-5 shadow bg-white form-section">
            <h4 class="mb-0 text-left text-uppercase">
                <?php echo app('translator')->get('app.signup'); ?>
            </h4>
            <?php echo Form::open(['id'=>'register', 'method'=>'POST']); ?>

            <div class="row">
                <div id="alert" class="col-lg-12 col-12">

                </div>
                <div class="col-12" id="form-box">
                    <div class="form-group mb-4">
                        <label for="company_name"><?php echo e(__('modules.client.companyName')); ?></label>
                        <input type="text" name="company_name" id="company_name" placeholder="<?php echo e(__('modules.client.companyName')); ?>" class="form-control">
                    </div>
                    <?php if(module_enabled('Subdomain')): ?>
                    <div class="form-group">
                        <label for="company_name clearfix"><?php echo e(__('app.subdomain')); ?></label>
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="subdomain" name="sub_domain" id="sub_domain">
                            <div class="input-group-append">
                                <span class="input-group-text" id="basic-addon2">.<?php echo e(get_domain()); ?></span>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="form-group mb-4">
                        <label for="email"><?php echo e(__('app.yourEmailAddress')); ?></label>
                        <input type="email" name="email" id="email" placeholder="<?php echo e(__('app.yourEmailAddress')); ?>" class="form-control">
                    </div>
                    <div class="form-group mb-4">
                        <label for="password"><?php echo e(__('modules.client.password')); ?></label>
                        <input type="password" class="form-control " id="password" name="password" placeholder="<?php echo e(__('modules.client.password')); ?>">
                    </div>
                    <div class="form-group mb-4">
                        <label for="password_confirmation"><?php echo e(__('app.confirmPassword')); ?></label>
                        <input type="password" class="form-control" id="password_confirmation" name="password_confirmation" placeholder="<?php echo e(__('app.confirmPassword')); ?>">
                    </div>
                    <?php if($global->google_recaptcha_status  && $global->google_captcha_version=="v2"): ?>
                        <div class="form-group mb-4">
                            <div class="g-recaptcha" data-sitekey="<?php echo e($global->google_recaptcha_key); ?>"></div>
                        </div>
                    <?php endif; ?>
                    <input type='hidden' name='recaptcha_token' id='recaptcha_token'>
                    <button type="button" class="btn btn-lg btn-custom mt-2" id="save-form">
                        <?php echo app('translator')->get('app.signup'); ?>
                    </button>
                </div>
            </div>
            <?php echo Form::close(); ?>


        </div>
        <?php else: ?>
        <div class="login-box mt-5 form-section register-message">
            <h5 class="mb-0 text-center">
                <?php echo $signUpMessage->message; ?>

            </h5>
        </div>
        <?php endif; ?>
    </div>
</section>

<!-- END Main container -->

<!-- Cta -->

<!-- End Cta -->

<!-- Footer -->
<?php echo $__env->make('sections.saas.saas_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- END Footer -->



<!-- Scripts -->
<script src="<?php echo e(asset('saas/vendor/jquery/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('saas/vendor/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
<script src="<?php echo e(asset('saas/vendor/slick/slick.min.js')); ?>"></script>
<script src="<?php echo e(asset('saas/vendor/wowjs/wow.min.js')); ?>"></script>
<script src="<?php echo e(asset('saas/js/main.js')); ?>"></script>
<script src="<?php echo e(asset('front/plugin/froiden-helper/helper.js')); ?>"></script>
<!-- Global Required JS -->

<script>
    $('#save-form').click(function () {


        $.easyAjax({
            url: '<?php echo e(route('front.signup.store')); ?>',
            container: '.form-section',
            type: "POST",
            data: $('#register').serialize(),
            messagePosition: "inline",
            success: function (response) {
                if (response.status == 'success') {
                    $('#form-box').remove();
                } else if (response.status == 'fail') {
                    <?php if($global->google_recaptcha_status): ?>
                    grecaptcha.reset();
                    <?php endif; ?>

                }
            }
        })
    });
</script>
<?php if($global->google_recaptcha_status  && $global->google_captcha_version=="v3"): ?>
    <script src="https://www.google.com/recaptcha/api.js?render=<?php echo e($global->google_recaptcha_key); ?>"></script>

    <script>
        setTimeout(function () {

            grecaptcha.ready(function () {
                grecaptcha.execute('<?php echo e($global->google_recaptcha_key); ?>', {action: 'submit'}).then(function (token) {
                    document.getElementById("recaptcha_token").value = token;
                });
            });

        }, 3000);

    </script>
<?php endif; ?>

</body>
</html>
<?php /**PATH /home/virtuals/public_html/adm/resources/views/saas/register.blade.php ENDPATH**/ ?>