<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
    <h4 class="modal-title"><?php echo app('translator')->get('modules.employees.createTitle'); ?></h4>
</div>
<div class="modal-body">
    <div class="portlet-body">
        <?php echo Form::open(['id'=>'ajxCreateEmployee','class'=>'ajax-form','method'=>'POST']); ?>

        <input type="hidden" name="ajax_create" value="1">
        <div class="form-body">
            <div class="row">
                <div class="col-md-6 ">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('modules.employees.employeeId'); ?></label>
                        <a class="mytooltip" href="javascript:void(0)">
                            <i class="fa fa-info-circle"></i><span class="tooltip-content5"><span class="tooltip-text3"><span
                                            class="tooltip-inner2"><?php echo app('translator')->get('modules.employees.employeeIdInfo'); ?></span></span></span></a>
                        <input type="text" name="employee_id" id="employee_id" class="form-control" autocomplete="nope">
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('modules.employees.employeeName'); ?></label>
                        <input type="text" name="name" id="name" class="form-control"
                               autocomplete="nope">
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('modules.employees.employeeEmail'); ?></label>
                        <input type="email" name="email" id="email" class="form-control"
                               autocomplete="nope">
                        <span class="help-block"><?php echo app('translator')->get('modules.employees.emailNote'); ?></span>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('modules.employees.employeePassword'); ?></label>
                        <input type="password" style="display: none">
                        <input type="password" name="password" id="password" readonly="readonly" onfocus="this.removeAttribute('readonly');" class="form-control auto-complete-off"
                               autocomplete="nope">
                        <span class="fa fa-fw fa-eye field-icon toggle-password"></span>
                        <span class="help-block"> <?php echo app('translator')->get('modules.employees.passwordNote'); ?> </span>
                        <div class="checkbox checkbox-info">
                            <input id="random_password_ajax" name="random_password" value="true" type="checkbox">
                            <label for="random_password_ajax"><?php echo app('translator')->get('modules.client.generateRandomPassword'); ?></label>
                        </div>
                    </div>
                </div>

            </div>

            <div class="row">
                <div class="col-md-6 ">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('app.designation'); ?></label>
                        <select name="designation" id="designation_ajax" class="form-control select2">
                            <option value="">--</option>
                            <?php $__empty_1 = true; $__currentLoopData = $designations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $designation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <option value="<?php echo e($designation->id); ?>"><?php echo e($designation->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <option value=""><?php echo app('translator')->get('messages.noRecordFound'); ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="col-md-6 ">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('app.department'); ?></label>
                        <select name="department" id="department_ajax" class="form-control select2">
                            <option value="">--</option>
                            <?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($team->id); ?>"><?php echo e($team->team_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="required"><?php echo app('translator')->get('modules.employees.joiningDate'); ?></label>
                        <input type="text" autocomplete="off" name="joining_date" id="joining_date_ajax"
                               class="form-control" value="">
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label><?php echo app('translator')->get('modules.employees.gender'); ?></label>
                        <select name="gender" id="gender" class="form-control">
                            <option value="male"><?php echo app('translator')->get('app.male'); ?></option>
                            <option value="female"><?php echo app('translator')->get('app.female'); ?></option>
                            <option value="others"><?php echo app('translator')->get('app.others'); ?></option>
                        </select>
                    </div>
                </div>

            </div>

        </div>
        <div class="form-actions">
            <button type="button" id="ajax-save-employee" class="btn btn-success"> <i class="fa fa-check"></i> <?php echo app('translator')->get('app.save'); ?></button>
        </div>
        <?php echo Form::close(); ?>

    </div>
</div>

<script src="<?php echo e(asset('plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/bootstrap-select/bootstrap-select.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/custom-select/custom-select.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/bootstrap-select/bootstrap-select.min.js')); ?>"></script>
<script>
    $('#random_password_ajax').change(function () {
        var randPassword = $(this).is(":checked");

        if (randPassword) {
            $('#password').val('<?php echo e(str_random(8)); ?>');
            $('#password').attr('readonly', 'readonly');
        } else {
            $('#password').val('');
            $('#password').removeAttr('readonly');
        }
    });

    $("#joining_date_ajax").datepicker({
        format: '<?php echo e($global->date_picker_format); ?>',
        todayHighlight: true,
        autoclose: true
    });
    $("#joining_date_ajax").datepicker("setDate", new Date());
    
    $("#department_ajax").select2({
        formatNoMatches: function () {
            return "<?php echo e(__('messages.noRecordFound')); ?>";
        }
    });
    $("#designation_ajax").select2({
        formatNoMatches: function () {
            return "<?php echo e(__('messages.noRecordFound')); ?>";
        }
    });

    $('#ajax-save-employee').click(function () {
        $.easyAjax({
            url: '<?php echo e(route('admin.employees.store')); ?>',
            container: '#ajxCreateEmployee',
            type: "POST",
            data: $('#ajxCreateEmployee').serialize(),
            success: function (response) {
                if(response.status == 'success'){
                    if ($('#selectEmployee').length !== 0) {
                        $('#selectEmployee').html(response.teamData);
                        $('#selectEmployee').select2();
                        $('#projectTimerModal').modal('hide');                        
                    } else {
                        window.location.reload();
                    }
                }
            }
        })
    });


</script><?php /**PATH /home/virtuals/public_html/adm/resources/views/admin/employees/ajax-create.blade.php ENDPATH**/ ?>