<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e($superadmin->favicon_url); ?>">
    
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="<?php echo e($superadmin->favicon_url); ?>">
    <meta name="theme-color" content="#ffffff">

    <title><?php echo e($task->heading); ?></title>
    <!-- Bootstrap Core CSS -->
    <link href="<?php echo e(asset('bootstrap/dist/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link rel='stylesheet prefetch'
          href='https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css'>
    <link rel='stylesheet prefetch'
          href='https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.2/css/bootstrap-select.min.css'>

    <!-- This is Sidebar menu CSS -->
    <link href="<?php echo e(asset('plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css')); ?>" rel="stylesheet">

    <link href="<?php echo e(asset('plugins/bower_components/toast-master/css/jquery.toast.css')); ?>"   rel="stylesheet">
    <link href="<?php echo e(asset('plugins/bower_components/sweetalert/sweetalert.css')); ?>"   rel="stylesheet">

    <!-- This is a Animation CSS -->
    <link href="<?php echo e(asset('css/animate.css')); ?>" rel="stylesheet">

<?php echo $__env->yieldPushContent('head-script'); ?>

<!-- This is a Custom CSS -->
    <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (default.css) for this starter
       page. However, you can choose any other skin from folder css / colors .
       -->
    <link href="<?php echo e(asset('css/colors/default.css')); ?>" id="theme"  rel="stylesheet">
    <link href="<?php echo e(asset('plugins/froiden-helper/helper.css')); ?>"   rel="stylesheet">
    <link href="<?php echo e(asset('css/custom-new.css')); ?>"   rel="stylesheet">
    <link href="<?php echo e(asset('css/rounded.css')); ?>" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    <style>
        .admin-logo {
            max-height: 40px;
        }

        .right-sidebar {
            position: unset;
            background: #fff;
            top: 0;
            height: 100%;
            box-shadow: 5px 1px 40px rgba(0,0,0,.1);
            transition: all .3s ease;
            display: block;
            width: 100%;
        }

        .nav>li>a {
           padding: 10px 7px;
        }
    </style>
</head>
<body class="fix-sidebar">
<!-- Preloader -->
<div class="preloader">
    <div class="cssload-speeding-wheel"></div>
</div>
<div id="wrapper">

<!-- Left navbar-header end -->
    <!-- Page Content -->
    <div id="page-wrapper" style="margin-left: 0px !important;">
        <div class="container-fluid">

        <!-- .row -->
            <div class="row">
                <div class="col-md-offset-2 col-md-8 m-t-40 m-b-40">
                </div>

                <div class="col-md-offset-2 col-md-8 col-md-offset-2">
                    <div class="card">
                        <div class="card-body right-sidebar">
           
                            <div class="rpanel-title"> <?php echo app('translator')->get('app.task'); ?> # <?php echo e($task->id); ?></div>
                            <div class="r-panel-body">

                                <div class="row">
                                    <div class="col-xs-12 m-b-10">
                                        <label class="label" style="background-color: <?php echo e($task->board_column->label_color); ?>"><?php echo e($task->board_column->column_name); ?></label>
                                    </div>
                                    <div class="col-xs-12">
                                        <h4>
                                            <?php echo e(ucwords($task->heading)); ?>

                                        </h4>
                                        <?php if(!is_null($task->project_id)): ?>
                                            <p><i class="icon-layers"></i> <?php echo e(ucfirst($task->project->project_name)); ?></p>
                                        <?php endif; ?>

                                        <h5>
                                            <?php if($task->task_category_id): ?>
                                                <label class="label label-default text-dark font-light"><?php echo e(ucwords($task->category->category_name)); ?></label>
                                            <?php endif; ?>
                        
                                            <label class="font-light label
                                            <?php if($task->priority == 'high'): ?>
                                                    label-danger
                                            <?php elseif($task->priority == 'medium'): ?> label-warning <?php else: ?> label-success <?php endif; ?>
                                                    ">
                                                <span class="text-dark"><?php echo app('translator')->get('modules.tasks.priority'); ?> ></span>  <?php echo e(ucfirst($task->priority)); ?>

                                            </label>
                                        </h5>

                                    </div>

                                    <ul class="nav customtab nav-tabs" role="tablist">
                                        <li role="presentation" class="active"><a href="#home1" aria-controls="home" role="tab" data-toggle="tab" aria-expanded="true"><?php echo app('translator')->get('app.task'); ?></a></li>
                                        <li role="presentation" class=""><a href="#profile1" aria-controls="profile" role="tab" data-toggle="tab" aria-expanded="false"><?php echo app('translator')->get('modules.tasks.subTask'); ?>(<?php echo e(count($task->subtasks)); ?>)</a></li>
                                        <li role="presentation" class=""><a href="#messages1" aria-controls="messages" role="tab" data-toggle="tab" aria-expanded="false"><?php echo app('translator')->get('app.file'); ?> (<?php echo e(sizeof($task->files)); ?>)</a></li>
                                        <li role="presentation" class=""><a href="#settings1" aria-controls="settings" role="tab" data-toggle="tab" aria-expanded="false"><?php echo app('translator')->get('modules.tasks.comment'); ?> (<?php echo e(count($task->comments)); ?>)</a></li>
                                        
                                    </ul>

                                    <div class="tab-content" id="task-detail-section">
                                        <div role="tabpanel" class="tab-pane fade active in" id="home1">
                                            <div class="col-xs-12" id="task-detail-section">
                                                <div class="col-xs-6 col-md-3 font-12 m-t-10">
                                                    <label class="font-12" for=""><?php echo app('translator')->get('modules.tasks.assignTo'); ?></label><br>
                                                    <?php $__currentLoopData = $task->users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <img src="<?php echo e($item->image_url); ?>" data-toggle="tooltip" data-original-title="<?php echo e(ucwords($item->name)); ?>" data-placement="right" class="img-circle" width="25" height="25" alt="">
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                                <?php if($task->create_by): ?>
                                                    <div class="col-xs-6 col-md-3 font-12 m-t-10">
                                                        <label class="font-12" for=""><?php echo app('translator')->get('modules.tasks.assignBy'); ?></label><br>
                                                        <img src="<?php echo e($task->create_by->image_url); ?>" class="img-circle" width="25" height="25" alt="">

                                                        <?php echo e(ucwords($task->create_by->name)); ?>

                                                    </div>
                                                <?php endif; ?>

                                                <?php if($task->start_date): ?>
                                                    <div class="col-xs-6 col-md-3 font-12 m-t-10">
                                                        <label class="font-12" for=""><?php echo app('translator')->get('app.startDate'); ?></label><br>
                                                        <span class="text-success" ><?php echo e($task->start_date->format($global->date_format)); ?></span><br>
                                                    </div>
                                                <?php endif; ?>
                                                <div class="col-xs-6 col-md-3 font-12 m-t-10">
                                                    <label class="font-12" for=""><?php echo app('translator')->get('app.dueDate'); ?></label><br>
                                                    <?php if(!is_null($task->due_date)): ?>
                                                        <span <?php if($task->due_date->isPast()): ?> class="text-danger" <?php endif; ?>>
                                                            <?php echo e($task->due_date->format($global->date_format)); ?>

                                                        </span>
                                                    <?php else: ?>
                                                        <span><?php echo app('translator')->get('app.noDueDate'); ?></span>
                                                    <?php endif; ?>
                                                    <span style="color: <?php echo e($task->board_column->label_color); ?>" id="columnStatus"> <?php echo e($task->board_column->column_name); ?></span>

                                                </div>
                                                <div class="col-xs-12 task-description b-all p-10 m-t-20">
                                                    <?php echo ucfirst($task->description); ?>

                                                </div>


                                            </div>
                                        </div>

                                        <div role="tabpanel" class="tab-pane" id="profile1">
                                            <div class="col-xs-12 m-t-5">
                                                <h5><i class="ti-check-box"></i> <?php echo app('translator')->get('modules.tasks.subTask'); ?>
                                                    <?php if(count($task->subtasks) > 0): ?>
                                                        <span class="pull-right"><span class="donut" data-peity='{ "fill": ["#00c292", "#eeeeee"],    "innerRadius": 5, "radius": 8 }'><?php echo e(count($task->completedSubtasks)); ?>/<?php echo e(count($task->subtasks)); ?></span> <span class="text-muted font-12"><?php echo e(floor((count($task->completedSubtasks)/count($task->subtasks))*100)); ?>%</span></span>
                                                    <?php endif; ?>
                                                </h5>
                                                <ul class="list-group" id="sub-task-list">
                                                    <?php $__currentLoopData = $task->subtasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subtask): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li class="list-group-item row">
                                                            <div class="col-xs-12">
                                                                <div>
                                                                    <?php if($subtask->status != 'complete'): ?>
                                                                        <?php echo e(ucfirst($subtask->title)); ?>

                                                                    <?php else: ?>
                                                                        <span style="text-decoration: line-through;"><?php echo e(ucfirst($subtask->title)); ?></span>
                                                                    <?php endif; ?>
                                                                </div>
                                                                <?php if($subtask->due_date): ?><span class="text-muted m-l-5 font-12"> - <?php echo app('translator')->get('modules.invoices.due'); ?>: <?php echo e($subtask->due_date->format($global->date_format)); ?></span><?php endif; ?>
                                                            </div>


                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </div>
                                        </div>

                                        <div role="tabpanel" class="tab-pane" id="messages1">
                                            <div class="col-xs-12">
                                                <a href="javascript:;" id="uploadedFiles" class="btn btn-primary btn-sm btn-rounded btn-outline"><i class="fa fa-image"></i> <?php echo app('translator')->get('modules.tasks.uplodedFiles'); ?> (<span id="totalUploadedFiles"><?php echo e(sizeof($task->files)); ?></span>) </a>
                                            </div>
                                        </div>

                                        <div role="tabpanel" class="tab-pane" id="settings1">
                                            <div class="col-xs-12 m-t-15 b-b">
                                                <h5><?php echo app('translator')->get('modules.tasks.comment'); ?></h5>
                                            </div>

                                            <div class="col-xs-12" id="comment-container">
                                                <div id="comment-list">
                                                    <?php $__empty_1 = true; $__currentLoopData = $task->comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                        <div class="row b-b m-b-5 font-12">
                                                            <div class="col-xs-12">
                                                                <h5><?php echo e(ucwords($comment->user->name)); ?> <span class="text-muted font-12"><?php echo e(ucfirst($comment->created_at->diffForHumans())); ?></span></h5>
                                                            </div>
                                                            <div class="col-xs-12">
                                                                <?php echo ucfirst($comment->comment); ?>

                                                            </div>

                                                        </div>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                        <div class="col-xs-12">
                                                            <?php echo app('translator')->get('messages.noRecordFound'); ?>
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>



                                    <div class="col-xs-12" id="task-history-section">
                                    </div>


                                </div>

                            </div>

                            

                   
                        </div>
                    </div>
                </div>


            </div>

        </div>
        <!-- /.container-fluid -->

    </div>
    <!-- /#page-wrapper -->
</div>
<!-- /#wrapper -->


<div class="modal fade bs-modal-md in" id="subTaskModal" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-md" id="modal-data-application">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <span class="caption-subject font-red-sunglo bold uppercase" id="subTaskModelHeading">Sub Task e</span>
            </div>
            <div class="modal-body">
                Loading...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
                <button type="button" class="btn blue">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->.
</div>


<!-- jQuery -->
<script src="<?php echo e(asset('plugins/bower_components/jquery/dist/jquery.min.js')); ?>"></script>
<!-- Bootstrap Core JavaScript -->
<script src="<?php echo e(asset('bootstrap/dist/js/bootstrap.min.js')); ?>"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.2/js/bootstrap-select.min.js'></script>

<!-- Sidebar menu plugin JavaScript -->
<script src="<?php echo e(asset('plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js')); ?>"></script>
<!--Slimscroll JavaScript For custom scroll-->
<script src="<?php echo e(asset('js/jquery.slimscroll.js')); ?>"></script>
<!--Wave Effects -->
<script src="<?php echo e(asset('js/waves.js')); ?>"></script>
<!-- Custom Theme JavaScript -->
<script src="<?php echo e(asset('plugins/bower_components/sweetalert/sweetalert.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/custom.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/jasny-bootstrap.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/froiden-helper/helper.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/toast-master/js/jquery.toast.js')); ?>"></script>


<script src="<?php echo e(asset('js/cbpFWTabs.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/icheck/icheck.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/icheck/icheck.init.js')); ?>"></script>
<script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="<?php echo e(asset('plugins/bower_components/peity/jquery.peity.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/bower_components/peity/jquery.peity.init.js')); ?>"></script>
<script>


    $('.close-task-history').click(function () {
        $('#task-detail-section').show();
        $('#task-history-section').html('');
        $(this).hide();
        $('#view-task-history').show();
    })

    $('#uploadedFiles').click(function () {

        var url = '<?php echo e(route("front.task-files", ':id')); ?>';

        var id = <?php echo e($task->id); ?>;
        url = url.replace(':id', id);

        $('#subTaskModelHeading').html('Sub Task');
        $.ajaxModal('#subTaskModal', url);
    });
</script>

</body>
</html>
<?php /**PATH /home/virtuals/public_html/adm/resources/views/task-share.blade.php ENDPATH**/ ?>